Index: /trunk/admin/aggiornadb.php
===================================================================
--- /trunk/admin/aggiornadb.php	(revision 323)
+++ /trunk/admin/aggiornadb.php	(revision 324)
@@ -1,3 +1,4 @@
 <?php
+
 @require_once("config.php"); 
 	try{
@@ -11,5 +12,5 @@
 	} 
 ###############
-function aggiorna($sql,$dbi){
+function aggiorna($sql,$dbi,$sql2){
 	$new=0;
 	try{
@@ -19,236 +20,127 @@
 	catch(PDOException $e)
 	{
-		 echo $sql . "<br>" . $e->getMessage();
-		return 0;
+		 
+		if($sql2){
+			$res = $dbi->prepare("$sql2");
+			$res->execute();			
+		} else return 0;
 	} 
 	return 1;
+}
+
+
+$sql="SELECT * FROM information_schema.COLUMNS WHERE TABLE_SCHEMA = '$dbname' AND COLUMN_NAME = 'Versione'";	
+			$res = $dbi->prepare("$sql");
+			$res->execute();			
+if($res->rowCount()) 
+{
+	$sql="select versione from `soraldo_config`";
+	$sql2="alter table `soraldo_config` change column `Versione` `versione` int(3)";
+	$ret=aggiorna($sql,$dbi,$sql2);
 }	
-$sql="alter table `soraldo_config` change column if exists `Versione` `versione` int(3)";
-$ret=aggiorna($sql,$dbi);
-if($ret) {$vifn='if not exists';$vifs='if exists';} else {$vifn='';$vifs='';}
 
 $num=1;
-$sql="alter table `soraldo_config` change column $vifs `Versione` `versione` int(3)";
-$ret=aggiorna($sql,$dbi);
+#$sql="alter table `soraldo_config` change column `Versione` `versione` int(3)";
+#$ret=aggiorna($sql,$dbi);
+#if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
+$sql="ALTER TABLE `soraldo_ele_gruppo` ADD `num_circ` INT(2) UNSIGNED NOT NULL AFTER `id_circ`";
+$ret=aggiorna($sql,$dbi,'');
 if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
-$sql="ALTER TABLE `soraldo_ele_gruppo` ADD $vifn `num_circ` INT(2) UNSIGNED NOT NULL AFTER `id_circ`";
-$ret=aggiorna($sql,$dbi);
+$sql="ALTER TABLE `soraldo_ele_voti_gruppo` ADD `num_gruppo` INT(2) UNSIGNED NOT NULL AFTER `id_sez`";
+$ret=aggiorna($sql,$dbi,'');
 if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
-$sql="ALTER TABLE `soraldo_ele_voti_gruppo` ADD $vifn `num_gruppo` INT(2) UNSIGNED NOT NULL AFTER `id_sez`";
-$ret=aggiorna($sql,$dbi);
+$sql="ALTER TABLE `soraldo_ele_lista` ADD `num_gruppo` INT(2) UNSIGNED NOT NULL AFTER `id_gruppo`";
+$ret=aggiorna($sql,$dbi,'');
 if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
-$sql="ALTER TABLE `soraldo_ele_lista` ADD $vifn `num_gruppo` INT(2) UNSIGNED NOT NULL AFTER `id_gruppo`";
-$ret=aggiorna($sql,$dbi);
+$sql="ALTER TABLE `soraldo_ele_lista` ADD `num_circ` INT(2) UNSIGNED NOT NULL AFTER `id_circ`";
+$ret=aggiorna($sql,$dbi,'');
 if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
-$sql="ALTER TABLE `soraldo_ele_lista` ADD $vifn `num_circ` INT(2) UNSIGNED NOT NULL AFTER `id_circ`";
-$ret=aggiorna($sql,$dbi);
+$sql="ALTER TABLE `soraldo_ele_voti_lista` ADD `num_lista` INT(2) UNSIGNED NOT NULL AFTER `id_sez`";
+$ret=aggiorna($sql,$dbi,'');
 if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
-$sql="ALTER TABLE `soraldo_ele_voti_lista` ADD $vifn `num_lista` INT(2) UNSIGNED NOT NULL AFTER `id_sez`";
-$ret=aggiorna($sql,$dbi);
+$sql="ALTER TABLE `soraldo_ele_voti_ref` ADD `num_gruppo` INT(2) UNSIGNED NOT NULL AFTER `id_sez`";
+$ret=aggiorna($sql,$dbi,'');
 if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
-$sql="ALTER TABLE `soraldo_ele_voti_ref` ADD $vifn `num_gruppo` INT(2) UNSIGNED NOT NULL AFTER `id_sez`";
-$ret=aggiorna($sql,$dbi);
+$sql="ALTER TABLE `soraldo_ele_voti_candidati` ADD `num_cand` INT(2) UNSIGNED NOT NULL AFTER `id_sez`";
+$ret=aggiorna($sql,$dbi,'');
 if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
-$sql="ALTER TABLE `soraldo_ele_voti_candidati` ADD $vifn `num_cand` INT(2) UNSIGNED NOT NULL AFTER `id_sez`";
-$ret=aggiorna($sql,$dbi);
+$sql="ALTER TABLE `soraldo_ele_candidati` ADD `num_lista` INT(2) UNSIGNED NOT NULL AFTER `id_lista`";
+$ret=aggiorna($sql,$dbi,'');
 if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
-$sql="ALTER TABLE `soraldo_ele_candidati` ADD $vifn `num_lista` INT(2) UNSIGNED NOT NULL AFTER `id_lista`";
-$ret=aggiorna($sql,$dbi);
-if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
-$sql="ALTER TABLE `soraldo_ele_voti_ref` DROP INDEX $vifs `id_cons`; ";
-$ret=aggiorna($sql,$dbi);
+$sql="ALTER TABLE `soraldo_ele_voti_ref` DROP INDEX `id_cons`; ";
+$sql2="ALTER TABLE `soraldo_ele_voti_ref` ADD INDEX `id_cons` (`id_cons`, `id_gruppo`) USING BTREE";
+$ret=aggiorna($sql,$dbi,$sql2);
 if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo $num++.") Index eliminato<br>";
-$sql="ALTER TABLE `soraldo_ele_voti_ref` ADD INDEX `id_cons` (`id_cons`, `id_gruppo`) USING BTREE";
-$ret=aggiorna($sql,$dbi);
-if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo  $num++.") Aggiornato<br>";
-$sql="ALTER TABLE `soraldo_ele_voti_lista` DROP INDEX $vifs `id_cons`";
-$ret=aggiorna($sql,$dbi);
+#$sql="ALTER TABLE `soraldo_ele_voti_ref` ADD INDEX `id_cons` (`id_cons`, `id_gruppo`) USING BTREE";
+#$ret=aggiorna($sql,$dbi);
+#if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo  $num++.") Aggiornato<br>";
+$sql="ALTER TABLE `soraldo_ele_voti_lista` DROP INDEX `id_cons`";
+$sql2="ALTER TABLE `soraldo_ele_voti_lista` ADD INDEX `id_cons` (`id_cons`, `id_sez`, `id_lista`) USING BTREE";
+$ret=aggiorna($sql,$dbi,$sql2);
 if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo $num++.") Index eliminato<br>";
-$sql="ALTER TABLE `soraldo_ele_voti_lista` ADD INDEX `id_cons` (`id_cons`, `id_sez`, `id_lista`) USING BTREE";
-$ret=aggiorna($sql,$dbi);
-if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
-$sql="ALTER TABLE `soraldo_ele_voti_gruppo` DROP INDEX $vifs `id_cons`";
-$ret=aggiorna($sql,$dbi);
+#$sql="ALTER TABLE `soraldo_ele_voti_lista` ADD INDEX `id_cons` (`id_cons`, `id_sez`, `id_lista`) USING BTREE";
+#$ret=aggiorna($sql,$dbi);
+#if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
+$sql="ALTER TABLE `soraldo_ele_voti_gruppo` DROP INDEX `id_cons`";
+$sql2="ALTER TABLE `soraldo_ele_voti_gruppo` ADD INDEX `id_cons` (`id_cons`, `id_sez`, `id_gruppo`) USING BTREE";
+$ret=aggiorna($sql,$dbi,$sql2);
 if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo $num++.") Index eliminato<br>";
-$sql="ALTER TABLE `soraldo_ele_voti_gruppo` ADD INDEX `id_cons` (`id_cons`, `id_sez`, `id_gruppo`) USING BTREE";
-$ret=aggiorna($sql,$dbi);
-if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
-$sql="ALTER TABLE `soraldo_ele_voti_candidati` DROP INDEX $vifs `id_cons`";
-$ret=aggiorna($sql,$dbi);
+#$sql="ALTER TABLE `soraldo_ele_voti_gruppo` ADD INDEX `id_cons` (`id_cons`, `id_sez`, `id_gruppo`) USING BTREE";
+#$ret=aggiorna($sql,$dbi);
+#if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
+$sql="ALTER TABLE `soraldo_ele_voti_candidati` DROP INDEX `id_cons`";
+$sql2="ALTER TABLE `soraldo_ele_voti_candidati` ADD INDEX `id_cons` (`id_cons`, `id_sez`, `id_cand`) USING BTREE";
+$ret=aggiorna($sql,$dbi,$sql2);
 if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo $num++.") Index eliminato<br>";
-$sql="ALTER TABLE `soraldo_ele_voti_candidati` ADD INDEX `id_cons` (`id_cons`, `id_sez`, `id_cand`) USING BTREE";
-$ret=aggiorna($sql,$dbi);
-if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
-$sql="ALTER TABLE `soraldo_ele_lista` DROP INDEX $vifs `id_cons`";
-$ret=aggiorna($sql,$dbi);
+#$ret=aggiorna($sql,$dbi);
+#if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
+$sql="ALTER TABLE `soraldo_ele_lista` DROP INDEX `id_cons`";
+$sql2="ALTER TABLE `soraldo_ele_lista` ADD INDEX `id_cons` (`id_cons`, `id_gruppo`) USING BTREE";
+$ret=aggiorna($sql,$dbi,$sql2);
 if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo $num++.") Index eliminato<br>";
-$sql="ALTER TABLE `soraldo_ele_lista` ADD INDEX `id_cons` (`id_cons`, `id_gruppo`) USING BTREE";
-$ret=aggiorna($sql,$dbi);
-if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
-$sql="ALTER TABLE `soraldo_ele_lista` DROP INDEX $vifs `PRIMARY`";
-$ret=aggiorna($sql,$dbi);
+#$ret=aggiorna($sql,$dbi);
+#if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
+$sql="ALTER TABLE `soraldo_ele_lista` DROP INDEX `PRIMARY`";
+$sql2="ALTER TABLE `soraldo_ele_lista` ADD PRIMARY KEY (`id_lista`) USING BTREE";
+$ret=aggiorna($sql,$dbi,$sql2);
 if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo $num++.") Index eliminato<br>";
-$sql="ALTER TABLE `soraldo_ele_lista` ADD PRIMARY KEY (`id_lista`) USING BTREE";
-$ret=aggiorna($sql,$dbi);
-if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
-$sql="ALTER TABLE `soraldo_ele_gruppo` DROP INDEX $vifs `id_cons`";
-$ret=aggiorna($sql,$dbi);
+#$ret=aggiorna($sql,$dbi);
+#if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
+$sql="ALTER TABLE `soraldo_ele_gruppo` DROP INDEX `id_cons`";
+$sql2="ALTER TABLE `soraldo_ele_gruppo` ADD INDEX `id_cons` (`id_cons`, `id_circ`) USING BTREE";
+$ret=aggiorna($sql,$dbi,$sql2);
 if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo $num++.") Index eliminato<br>";
-$sql="ALTER TABLE `soraldo_ele_gruppo` ADD INDEX `id_cons` (`id_cons`, `id_circ`) USING BTREE";
-$ret=aggiorna($sql,$dbi);
-if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
-$sql="ALTER TABLE `soraldo_ele_gruppo` DROP INDEX $vifs `PRIMARY`";
-$ret=aggiorna($sql,$dbi);
+#$ret=aggiorna($sql,$dbi);
+#if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
+$sql="ALTER TABLE `soraldo_ele_gruppo` DROP INDEX `PRIMARY`";
+$sql2="ALTER TABLE `soraldo_ele_gruppo` ADD PRIMARY KEY (`id_gruppo`) USING BTREE";
+$ret=aggiorna($sql,$dbi,$sql2);
 if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo $num++.") Index eliminato<br>";
-$sql="ALTER TABLE `soraldo_ele_gruppo` ADD PRIMARY KEY (`id_gruppo`) USING BTREE";
-$ret=aggiorna($sql,$dbi);
-if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
-$sql="ALTER TABLE `soraldo_ele_candidati` DROP INDEX $vifs `id_cons`";
-$ret=aggiorna($sql,$dbi);
+#$ret=aggiorna($sql,$dbi);
+#if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
+$sql="ALTER TABLE `soraldo_ele_candidati` DROP INDEX `id_cons`";
+$sql2="ALTER TABLE `soraldo_ele_candidati` ADD INDEX `id_cons` (`id_cons`, `id_lista`) USING BTREE";
+$ret=aggiorna($sql,$dbi,$sql2);
 if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo $num++.") Index eliminato<br>";
-$sql="ALTER TABLE `soraldo_ele_candidati` ADD INDEX `id_cons` (`id_cons`, `id_lista`) USING BTREE";
-$ret=aggiorna($sql,$dbi);
-if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
-$sql="ALTER TABLE `soraldo_ele_candidati` DROP INDEX $vifs `PRIMARY`";
-$ret=aggiorna($sql,$dbi);
+#$ret=aggiorna($sql,$dbi);
+#if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
+$sql="ALTER TABLE `soraldo_ele_candidati` DROP INDEX `PRIMARY`";
+$sql2="ALTER TABLE `soraldo_ele_candidati` ADD PRIMARY KEY (`id_cand`) USING BTREE";
+$ret=aggiorna($sql,$dbi,$sql2);
 if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo $num++.") Index eliminato<br>";
-$sql="ALTER TABLE `soraldo_ele_candidati` ADD PRIMARY KEY (`id_cand`) USING BTREE";
-$ret=aggiorna($sql,$dbi);
-if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
-$sql="ALTER TABLE `soraldo_ele_sezioni` ADD $vifn `colore` VARCHAR(50) NULL AFTER `solo_lista`";
-$ret=aggiorna($sql,$dbi);
+#$ret=aggiorna($sql,$dbi);
+#if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
+$sql="ALTER TABLE `soraldo_ele_sezioni` ADD `colore` VARCHAR(50) NULL AFTER `solo_lista`";
+$ret=aggiorna($sql,$dbi,'');
 if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
 $sql="CREATE TABLE if not exists`soraldo_ele_controlli` ( `id_cons` INT(11) NOT NULL , `id_sez` INT(11) NOT NULL , `tipo` VARCHAR(10) NOT NULL , `id` INT(11) NOT NULL , INDEX `sezione` (`id_sez`)) ENGINE = MyISAM";
-$ret=aggiorna($sql,$dbi);
+$ret=aggiorna($sql,$dbi,'');
 if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
 $sql="update `soraldo_ele_voti_gruppo` as t1 left join `soraldo_ele_gruppo` as t2 on t1.id_gruppo=t2.id_gruppo set t1.num_gruppo=t2.num_gruppo;";
-$ret=aggiorna($sql,$dbi);
+$ret=aggiorna($sql,$dbi,'');
 if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
 $sql="update `soraldo_ele_voti_lista` as t1 left join `soraldo_ele_lista` as t2 on t1.id_lista=t2.id_lista set t1.num_lista=t2.num_lista;";
-$ret=aggiorna($sql,$dbi);
+$ret=aggiorna($sql,$dbi,'');
 if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
-###############
-
-	
-	$new=0;
-	try{
-		$sql = "SELECT * FROM ".$prefix."_view_sezione limit 0,1";
-		$res = $dbi->prepare("$sql");
-		$res->execute();
-        }
-	catch(PDOException $e)
-	{
-		$new=1;
-		$sql = "CREATE VIEW `soraldo_view_sezione` AS select 
-		`t1`.`id_cons` AS `id_cons`,
-		`t1`.`id_sez` AS `id_sez`,
-		`t1`.`num_sez` AS `num_sez`,
-		`t2`.`id_sede` AS `id_sede`,
-		`t3`.`id_circ` AS `id_circ`,
-		`t3`.`num_circ` AS `num_circ`,
-		`t3`.`descrizione` AS `descrizione`
-		from ((`soraldo_ele_circoscrizione` `t3` 
-		join `soraldo_ele_sede` `t2`) 
-		join `soraldo_ele_sezioni` `t1`) 
-		where (`t3`.`id_circ` = `t2`.`id_circ`)
-		and (`t2`.`id_sede` = `t1`.`id_sede`)";
-		$res = $dbi->prepare("$sql");
-		$res->execute();
-	}                                                                                       	
-	if($new) echo "Creata la vista per le sezioni<br>";
-	else echo "La vista per le sezioni Ãš giÃ  presente<br>";
-
-		$new=0;
-	try{
-		$sql = "SELECT * FROM ".$prefix."_view_candidato limit 0,1";
-		$res = $dbi->prepare("$sql");
-		$res->execute();
-        }
-	catch(PDOException $e)
-	{
-		$new=1;
-		$sql = "CREATE VIEW `soraldo_view_candidato` AS select 
-		`t3`.`id_cons` AS `id_cons`,
-		`t3`.`id_sez` AS `id_sez`,
-		`t4`.`id_lista` AS `id_lista`,
-		`t4`.`num_lista` AS `num_lista`,
-		`t3`.`num_sez` AS `num_sez`,
-		`t1`.`num_cand` AS `num_cand`,
-		concat(`t1`.`cognome`,' ',`t1`.`nome`) AS `descrizione`,
-		`t2`.`voti` AS `voti` 
-		from (((`soraldo_ele_candidati` `t1` 
-		join `soraldo_ele_voti_candidati` `t2`) 
-		join `soraldo_ele_sezioni` `t3`) 
-		join `soraldo_ele_lista` `t4`) 
-		where ((`t1`.`id_lista` = `t4`.`id_lista`)
-		and (`t1`.`id_cand` = `t2`.`id_cand`)
-		and (`t2`.`id_sez` = `t3`.`id_sez`))";
-		$res = $dbi->prepare("$sql");
-		$res->execute();
-	}                                                                                       	
-	if($new) echo "Creata la vista per i candidati<br>";
-	else echo "La vista per i candidati Ãš giÃ  presente<br>";
-	$new=0;
-	try{
-		$sql = "SELECT * FROM ".$prefix."_view_lista limit 0,1";
-		$res = $dbi->prepare("$sql");
-		$res->execute();
-        }
-	catch(PDOException $e)
-	{
-		$new=1;
-		$sql = "CREATE VIEW `soraldo_view_lista` AS select 
-		`t1`.`id_cons` AS `id_cons`,
-		`t1`.`id_sez` AS `id_sez`,
-		`t1`.`num_sez` AS `num_sez`,
-		`t2`.`id_lista` AS `id_lista`,
-		`t2`.`num_lista` AS `num_lista`,
-		`t2`.`descrizione` AS `descrizione`,
-		`t4`.`id_gruppo` AS `id_gruppo`,
-		`t4`.`num_gruppo` AS `num_gruppo`,
-		`t4`.`descrizione` AS `desgruppo`,
-		`t3`.`voti` AS `voti` 
-		from (((`soraldo_ele_sezioni` `t1` 
-		join `soraldo_ele_lista` `t2`) 
-		join `soraldo_ele_voti_lista` `t3`) 
-		join `soraldo_ele_gruppo` `t4`) 
-		where ((`t1`.`id_sez` = `t3`.`id_sez`)
-		and (`t2`.`id_lista` = `t3`.`id_lista`)
-		and (`t2`.`id_gruppo` = `t4`.`id_gruppo`))";
-		$res = $dbi->prepare("$sql");
-		$res->execute();
-	}                                                                                       	
-	if($new) echo "Creata la vista per le liste<br>";
-	else echo "La vista per le liste Ãš giÃ  presente<br>";
-	$new=0;
-	
-	try{
-		$sql = "SELECT * FROM ".$prefix."_view_gruppo limit 0,1";
-		$res = $dbi->prepare("$sql");
-		$res->execute();
-        }
-	catch(PDOException $e)
-	{
-		$new=1;
-		$sql = "CREATE VIEW `soraldo_view_gruppo` AS select 
-		`t1`.`id_cons` AS `id_cons`,
-		`t1`.`id_sez` AS `id_sez`,
-		`t1`.`num_sez` AS `num_sez`,
-		`t2`.`id_gruppo` AS `id_gruppo`,
-		`t2`.`num_gruppo` AS `num_gruppo`,
-		`t2`.`descrizione` AS `descrizione`,
-		`t3`.`voti` AS `voti` 
-		from ((`soraldo_ele_sezioni` `t1` 
-		join `soraldo_ele_gruppo` `t2`) 
-		join `soraldo_ele_voti_gruppo` `t3`) 
-		where ((`t1`.`id_sez` = `t3`.`id_sez`)
-		and (`t2`.`id_gruppo` = `t3`.`id_gruppo`))";
-		$res = $dbi->prepare("$sql");
-		$res->execute();
-	}                                                                                       	
-	if($new) echo "Creata la vista per i gruppi<br>";
-	else echo "La vista per i gruppi Ãš giÃ  presente<br>";
-	
-	
 
 ?>
Index: /trunk/admin/modules/Elezioni/ele_controlli.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_controlli.php	(revision 323)
+++ /trunk/admin/modules/Elezioni/ele_controlli.php	(revision 324)
@@ -366,5 +366,5 @@
 					$totsl+=$svl;
 					$tnl+=$nl;
-					if(($votig+$svl)<($votil+$svg+$nl))
+					if(($votig+$svl)<($votil+$svg+$nl) and $disg)
 					{ $err=1; $tipo='lista'; break; }
 				}
Index: /trunk/admin/modules/Elezioni/ele_voti.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_voti.php	(revision 323)
+++ /trunk/admin/modules/Elezioni/ele_voti.php	(revision 324)
@@ -390,7 +390,24 @@
  	global $aid, $prefix, $dbi, $id_lista,$genere,$id_cons_gen,$id_gruppo,$sezi,$circo,$votog,$votol,$votoc,$conscirc;
 global $tipo_cons,$limite,$dettnulli,$disgiunto;
-
 $bgcolor1="#7777ff";
 $bgcolor2=$_SESSION['bgcolor2'];
+
+if ($genere==4){
+	$sql="SELECT voti_uomini,voti_donne, voti_complessivi FROM ".$prefix."_ele_voti_parziale where id_sez='$id_sez' and id_cons='$id_cons' order by data desc,orario desc limit 0,1";
+	$result = $dbi->prepare("$sql");
+	$result->execute();
+
+
+	list( $voti_u, $voti_d, $voti_t) = $result->fetch(PDO::FETCH_NUM);
+	echo "<table  class=\"table-menu\" style=\"width: 50%; color: black;\">"
+	."<tr><td></td><td align=\"center\"></td><td bgcolor=\"$bgcolor1\" align=\"center\">"._VOTIU."</td><td bgcolor=\"$bgcolor1\" align=\"center\">"._VOTID."</td><td bgcolor=\"$bgcolor1\" align=\"center\">"._VOTIT."</td></tr>"
+	."<tr><td></td><td bgcolor=\"$bgcolor1\" align=\"center\">"._TOT_ULT."</td><td bgcolor=\"$bgcolor2\" align=\"center\">$voti_u</td><td align=\"center\" bgcolor=\"$bgcolor2\">$voti_d</td><td bgcolor=\"$bgcolor2\" align=\"center\">$voti_t</td></tr>";
+	echo "</table>";
+}
+$sql="select validi,nulli,bianchi,contestati from ".$prefix."_ele_sezioni where id_sez='$id_sez' ";
+$result = $dbi->prepare("$sql");
+$result->execute();
+list($v1,$v2,$v3,$v4)=$result->fetch(PDO::FETCH_NUM);
+if($v1+$v2+$v3+$v4>0){
     //controlla se sono stati inseriti i votanti
 $sql="SELECT preferenze, id_fascia, id_conf,solo_gruppo, disgiunto from ".$prefix."_ele_cons_comune where id_cons='$id_cons'";
@@ -830,5 +847,5 @@
 		echo "}\n";
 		echo "</script>\n";
-
+}
 #if (!((!$votog) and ($genere==3 OR $genere==5) and ($fascia>$limite)))
 	finale($id_cons,$do,$id_circ,$id_sede,$id_sez,$ops);
Index: /trunk/admin/versione.php
===================================================================
--- /trunk/admin/versione.php	(revision 323)
+++ /trunk/admin/versione.php	(revision 324)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 323";
+$versione = "3.0 rev 324";
 $version_number = $versione;
-$version = "Eleonline $version_number (<i>Data Release: 06 giugno 2019</i>)";
+$version = "Eleonline $version_number (<i>Data Release: 17 giugno 2019</i>)";
 
 ?> 
Index: /trunk/client/modules/Elezioni/index.php
===================================================================
--- /trunk/client/modules/Elezioni/index.php	(revision 323)
+++ /trunk/client/modules/Elezioni/index.php	(revision 324)
@@ -1050,18 +1050,18 @@
   		}
   // numero sezioni scrutinate, escluse circorscrizioni (da aggiungere)
-                if ($circo!=1){
+                if ($circo!=1){$sqlcir="";}else{$sqlcir="and id_circ='$id_circ'";	}
   			if ($votog) {$tab="lista";}else{$tab="candidati";}
-			$sql="select id_sez from ".$prefix."_ele_voti_".$tab." where id_cons='$id_cons' group by id_sez ";
+			$sql="select id_sez from ".$prefix."_ele_voti_".$tab." where id_cons='$id_cons' $sqlcir group by id_sez ";
 			$res1 = $dbi->prepare("$sql");
 			$res1->execute();
 
 			$numero=$res1->rowCount();
-			$sql="select max(num_sez)  from ".$prefix."_ele_sezioni where id_cons='$id_cons'";
+			$sql="select max(num_sez)  from ".$prefix."_ele_sezioni where id_cons='$id_cons' $sqlcir";
 			$res2 = $dbi->prepare("$sql");
 			$res2->execute();
 
 			list($sezioni)=$res2->fetch(PDO::FETCH_NUM);
-		}
-  
+		
+			
   
   
Index: /trunk/client/versione.php
===================================================================
--- /trunk/client/versione.php	(revision 323)
+++ /trunk/client/versione.php	(revision 324)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 323";
+$versione = "3.0 rev 324";
 $version_number = $versione;
-$version = "Eleonline $version_number (<i>Data Release: 06 giugno 2019</i>)";
+$version = "Eleonline $version_number (<i>Data Release: 17 giugno 2019</i>)";
 
 