Index: trunk/admin/aggiornadb.php
===================================================================
--- trunk/admin/aggiornadb.php	(revision 329)
+++ trunk/admin/aggiornadb.php	(revision 330)
@@ -13,18 +13,27 @@
 ###############
 function aggiorna($sql,$dbi,$sql2){
-	$new=0;
+	$ret=0;
 	try{
 		$res = $dbi->prepare("$sql");
 		$res->execute();
+		$ret= 1;
         }
 	catch(PDOException $e)
 	{
-		 
-		if($sql2){
-			$res = $dbi->prepare("$sql2");
-			$res->execute();			
-		} else return 0;
+	 $ret=0;
+	}
+
+	if("$sql2"!=""){
+		try{
+		  $res = $dbi->prepare("$sql2");
+		  $res->execute();		
+		  $ret=2;
+		}	
+		catch(PDOException $e)
+		{
+		  $ret=0;
+		}
 	} 
-	return 1;
+	return $ret;
 }
 
@@ -70,64 +79,91 @@
 $sql2="ALTER TABLE `soraldo_ele_voti_ref` ADD INDEX `id_cons` (`id_cons`, `id_gruppo`) USING BTREE";
 $ret=aggiorna($sql,$dbi,$sql2);
-if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo $num++.") Index eliminato<br>";
-#$sql="ALTER TABLE `soraldo_ele_voti_ref` ADD INDEX `id_cons` (`id_cons`, `id_gruppo`) USING BTREE";
-#$ret=aggiorna($sql,$dbi);
-#if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo  $num++.") Aggiornato<br>";
+if(!$ret) 
+	echo "<br>".$num++.") Fallito: $sql"; 
+elseif ($ret==1) 
+	echo "<br>".$num++.") Index eliminato"; 
+else
+	echo "<br>".$num++.") Index aggiunto";
 $sql="ALTER TABLE `soraldo_ele_voti_lista` DROP INDEX `id_cons`";
 $sql2="ALTER TABLE `soraldo_ele_voti_lista` ADD INDEX `id_cons` (`id_cons`, `id_sez`, `id_lista`) USING BTREE";
 $ret=aggiorna($sql,$dbi,$sql2);
-if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo $num++.") Index eliminato<br>";
-#$sql="ALTER TABLE `soraldo_ele_voti_lista` ADD INDEX `id_cons` (`id_cons`, `id_sez`, `id_lista`) USING BTREE";
-#$ret=aggiorna($sql,$dbi);
-#if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
+if(!$ret) 
+	echo "<br>".$num++.") Fallito: $sql"; 
+elseif ($ret==1) 
+	echo "<br>".$num++.") Index eliminato"; 
+else
+	echo "<br>".$num++.") Index aggiunto";
 $sql="ALTER TABLE `soraldo_ele_voti_gruppo` DROP INDEX `id_cons`";
 $sql2="ALTER TABLE `soraldo_ele_voti_gruppo` ADD INDEX `id_cons` (`id_cons`, `id_sez`, `id_gruppo`) USING BTREE";
 $ret=aggiorna($sql,$dbi,$sql2);
-if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo $num++.") Index eliminato<br>";
-#$sql="ALTER TABLE `soraldo_ele_voti_gruppo` ADD INDEX `id_cons` (`id_cons`, `id_sez`, `id_gruppo`) USING BTREE";
-#$ret=aggiorna($sql,$dbi);
-#if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
+if(!$ret) 
+	echo "<br>".$num++.") Fallito: $sql"; 
+elseif ($ret==1) 
+	echo "<br>".$num++.") Index eliminato"; 
+else
+	echo "<br>".$num++.") Index aggiunto";
 $sql="ALTER TABLE `soraldo_ele_voti_candidati` DROP INDEX `id_cons`";
 $sql2="ALTER TABLE `soraldo_ele_voti_candidati` ADD INDEX `id_cons` (`id_cons`, `id_sez`, `id_cand`) USING BTREE";
 $ret=aggiorna($sql,$dbi,$sql2);
-if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo $num++.") Index eliminato<br>";
-#$ret=aggiorna($sql,$dbi);
-#if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
+if(!$ret) 
+	echo "<br>".$num++.") Fallito: $sql"; 
+elseif ($ret==1) 
+	echo "<br>".$num++.") Index eliminato"; 
+else
+	echo "<br>".$num++.") Index aggiunto";
 $sql="ALTER TABLE `soraldo_ele_lista` DROP INDEX `id_cons`";
 $sql2="ALTER TABLE `soraldo_ele_lista` ADD INDEX `id_cons` (`id_cons`, `id_gruppo`) USING BTREE";
 $ret=aggiorna($sql,$dbi,$sql2);
-if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo $num++.") Index eliminato<br>";
-#$ret=aggiorna($sql,$dbi);
-#if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
+if(!$ret) 
+	echo "<br>".$num++.") Fallito: $sql"; 
+elseif ($ret==1) 
+	echo "<br>".$num++.") Index eliminato"; 
+else
+	echo "<br>".$num++.") Index aggiunto";
 $sql="ALTER TABLE `soraldo_ele_lista` DROP INDEX `PRIMARY`";
 $sql2="ALTER TABLE `soraldo_ele_lista` ADD PRIMARY KEY (`id_lista`) USING BTREE";
 $ret=aggiorna($sql,$dbi,$sql2);
-if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo $num++.") Index eliminato<br>";
-#$ret=aggiorna($sql,$dbi);
-#if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
+if(!$ret) 
+	echo "<br>".$num++.") Fallito: $sql"; 
+elseif ($ret==1) 
+	echo "<br>".$num++.") Index eliminato"; 
+else
+	echo "<br>".$num++.") Index aggiunto";
 $sql="ALTER TABLE `soraldo_ele_gruppo` DROP INDEX `id_cons`";
 $sql2="ALTER TABLE `soraldo_ele_gruppo` ADD INDEX `id_cons` (`id_cons`, `id_circ`) USING BTREE";
 $ret=aggiorna($sql,$dbi,$sql2);
-if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo $num++.") Index eliminato<br>";
-#$ret=aggiorna($sql,$dbi);
-#if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
+if(!$ret) 
+	echo "<br>".$num++.") Fallito: $sql"; 
+elseif ($ret==1) 
+	echo "<br>".$num++.") Index eliminato"; 
+else
+	echo "<br>".$num++.") Index aggiunto";
 $sql="ALTER TABLE `soraldo_ele_gruppo` DROP INDEX `PRIMARY`";
 $sql2="ALTER TABLE `soraldo_ele_gruppo` ADD PRIMARY KEY (`id_gruppo`) USING BTREE";
 $ret=aggiorna($sql,$dbi,$sql2);
-if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo $num++.") Index eliminato<br>";
-#$ret=aggiorna($sql,$dbi);
-#if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
+if(!$ret) 
+	echo "<br>".$num++.") Fallito: $sql"; 
+elseif ($ret==1) 
+	echo "<br>".$num++.") Index eliminato"; 
+else
+	echo "<br>".$num++.") Index aggiunto";
 $sql="ALTER TABLE `soraldo_ele_candidati` DROP INDEX `id_cons`";
 $sql2="ALTER TABLE `soraldo_ele_candidati` ADD INDEX `id_cons` (`id_cons`, `id_lista`) USING BTREE";
 $ret=aggiorna($sql,$dbi,$sql2);
-if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo $num++.") Index eliminato<br>";
-#$ret=aggiorna($sql,$dbi);
-#if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
+if(!$ret) 
+	echo "<br>".$num++.") Fallito: $sql"; 
+elseif ($ret==1) 
+	echo "<br>".$num++.") Index eliminato"; 
+else
+	echo "<br>".$num++.") Index aggiunto";
 $sql="ALTER TABLE `soraldo_ele_candidati` DROP INDEX `PRIMARY`";
 $sql2="ALTER TABLE `soraldo_ele_candidati` ADD PRIMARY KEY (`id_cand`) USING BTREE";
 $ret=aggiorna($sql,$dbi,$sql2);
-if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo $num++.") Index eliminato<br>";
-#$ret=aggiorna($sql,$dbi);
-#if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
+if(!$ret) 
+	echo "<br>".$num++.") Fallito: $sql"; 
+elseif ($ret==1) 
+	echo "<br>".$num++.") Index eliminato"; 
+else
+	echo "<br>".$num++.") Index aggiunto";
 $sql="ALTER TABLE `soraldo_ele_sezioni` ADD `colore` VARCHAR(50) NULL AFTER `solo_lista`";
 $ret=aggiorna($sql,$dbi,'');
Index: trunk/admin/versione.php
===================================================================
--- trunk/admin/versione.php	(revision 329)
+++ trunk/admin/versione.php	(revision 330)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 328";
+$versione = "3.0 rev 330";
 $version_number = $versione;
-$version = "Eleonline $version_number (<i>Data Release: 16 febbraio 2020</i>)";
+$version = "Eleonline $version_number (<i>Data Release: 20 aprile 2020</i>)";
 
 ?> 