Index: trunk/admin/admin.php
===================================================================
--- trunk/admin/admin.php	(revision 335)
+++ trunk/admin/admin.php	(revision 336)
@@ -252,6 +252,9 @@
 			$sth = $dbi->prepare("select id_cons_gen  from ".$prefix."_ele_cons_comune where preferita='1' and (id_comune='$id_comune' or id_comune=0)");
 			$sth->execute();	
-			$row = $sth->fetch(PDO::FETCH_BOTH);	
-$id_cons_gen=$row[0];
+			$row = $sth->fetch(PDO::FETCH_BOTH);
+			if($sth->rowCount())
+				$id_cons_gen=$row[0];
+			else
+			$id_cons_gen=0;
 }
 $currentlang=$_SESSION['lang'];
Index: trunk/admin/modules/Elezioni/ele.php
===================================================================
--- trunk/admin/modules/Elezioni/ele.php	(revision 335)
+++ trunk/admin/modules/Elezioni/ele.php	(revision 336)
@@ -44,6 +44,16 @@
 include_once("modules/Elezioni/query.sql");
 
-$row=setconsultazione(); $tipo_cons=$row[0]; $descr_cons=$row[1];$id_cons_gen=$row[2];
-$row=tipocons(); $genere=$row[0];$votog=$row[1];$votol=$row[2];$votoc=$row[3];$conscirc=$row[4];
+$row=setconsultazione(); 
+if(isset($row[0])) {
+	$tipo_cons=$row[0]; $descr_cons=$row[1]; $id_cons_gen=$row[2];
+} else {
+	$tipo_cons=0; $descr_cons=''; $id_cons_gen=0;
+}
+$row=tipocons(); 
+if(isset($row[0])) {
+	$genere=$row[0];$votog=$row[1];$votol=$row[2];$votoc=$row[3];$conscirc=$row[4];
+} else {
+	$genere=0;$votog=0;$votol=0;$votoc=0;$conscirc=0;
+}
 
 if (!$perms) $perms=ChiSei($id_cons_gen);
Index: trunk/admin/modules/Elezioni/ele_affluenze.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_affluenze.php	(revision 335)
+++ trunk/admin/modules/Elezioni/ele_affluenze.php	(revision 336)
@@ -126,14 +126,12 @@
 		$orario="$ov:$mv:00";
 		$row = daticonsultazione();
-#		mysql_query("SELECT data_inizio, data_fine FROM ".$prefix."_ele_consultazione WHERE id_cons_gen ='$id_cons_gen'", $dbi);
-$dadata=$row['data_inizio']; $adata=$row['data_fine'];
-$dadata=strtotime($dadata);
-$adata=strtotime($adata);
-$cdata=strtotime($data);
+		$dadata=$row['data_inizio']; $adata=$row['data_fine'];
+		$dadata=strtotime($dadata);
+		$adata=strtotime($adata);
+		$cdata=strtotime($data);
 		// verifica se data e ora esiste e fa l'upgrade
 		$sql = "select * from ".$prefix."_ele_rilaff where id_cons_gen='$id_cons_gen' and data='$data' and orario='$orario'";
 		$sth = $dbi->prepare("$sql");
 		$sth->execute();	
-#		$row = $sth->fetchAll();
 		$tipo= $sth->rowCount(); 
 		if(($tipo==0) and ($dadata <= $cdata) and ($adata >= $cdata)){
Index: trunk/admin/modules/Elezioni/ele_confcons.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_confcons.php	(revision 335)
+++ trunk/admin/modules/Elezioni/ele_confcons.php	(revision 336)
@@ -59,9 +59,5 @@
    		global $tipo_cons,$param,$currentlang, $bgcolor1, $bgcolor2, $prefix, $dbi, $offset, $min, $id_cons,$id_cons_gen,$id_comune,$do,$id_conf, $language,$help;
 	
-//		$restemp = mysql_query("select count(0) from ".$prefix."_ele_conf where id_conf='$id_conf'", $dbi);
-//		list($numtemp)=mysql_fetch_row($restemp);
-
 	if (isset($help)) include("language/$language/ele_confcons.html");
-
 	echo "<center><br><table border=\"0\" width=\"100%\">";
 
Index: trunk/admin/modules/Elezioni/ele_configurazione.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_configurazione.php	(revision 335)
+++ trunk/admin/modules/Elezioni/ele_configurazione.php	(revision 336)
@@ -29,5 +29,5 @@
 include("modules/Elezioni/ele.php");
 $row=cur_cons();
-$tipo_cons=$row[0];$id_cons=$row[1];
+if(isset($row[0])) {$tipo_cons=$row[0];$id_cons=$row[1];} else {$tipo_cons=0; $id_cons=0;}
 
 if (isset($param['do'])) get_magic_quotes_gpc() ? $do=$param['do']:$do=addslashes($param['do']); else $do='';
@@ -63,6 +63,4 @@
    		global $tipo_cons,$param,$currentlang, $bgcolor1, $bgcolor2, $prefix, $prefix2, $dbi, $offset, $min, $id_cons,$id_cons_gen,$id_comune,$do,$tema,$language,$help;
 		global $gkey,$ed_user,$googlemaps,$editor,$tema_on;
-//		$restemp = mysql_query("select count(0) from ".$prefix."_ele_conf where tema='$tema'", $dbi);
-//		list($numtemp)=mysql_fetch_row($restemp);
 
 
@@ -234,7 +232,10 @@
 				$sth = $dbi->prepare("$sql");
 				$sth->execute();
-				$row = $sth->fetch(PDO::FETCH_BOTH);
-				$id = intval($row[0]);
-				
+				if($sth->rowCount()) {
+					$row = $sth->fetch(PDO::FETCH_BOTH);
+					$id = intval($row[0]);
+				} else {
+					$id=0;
+				}
 			if (empty($id)) { // inserisce widget db se non esiste
 				$sql="insert into ".$prefix."_ele_temi (id,tema) values ( NULL,'$files')";
Index: trunk/admin/modules/Elezioni/ele_consultazioni.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_consultazioni.php	(revision 335)
+++ trunk/admin/modules/Elezioni/ele_consultazioni.php	(revision 336)
@@ -55,12 +55,10 @@
       if (!isset($min)) $min=0;
 if (isset($param['id_cons_gen'])){
-	 $id_cons_gen=intval($param['id_cons_gen']);
-$row=descr_cons();
-$tipo_cons=$row[0];	 
-#$res = mysql_query("SELECT tipo_cons FROM ".$prefix."_ele_consultazione where id_cons_gen=$id_cons_gen " , $dbi);
-#list($tipo_cons) = mysql_fetch_row($res);
+	$id_cons_gen=intval($param['id_cons_gen']);
+	$row=descr_cons();
+	if(isset($row[0])) $tipo_cons=$row[0]; else $tipo_cons=0;
 } else {
-$id_cons_gen=0;
-$tipo_cons=0;
+	$id_cons_gen=0;
+	$tipo_cons=0;
 }
 /******************************************************/
Index: trunk/admin/modules/Elezioni/ele_desc_fasce.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_desc_fasce.php	(revision 335)
+++ trunk/admin/modules/Elezioni/ele_desc_fasce.php	(revision 336)
@@ -13,19 +13,26 @@
 if (isset($_GET['fascia'])) $fasciacom=intval($_GET['fascia']);  else $fasciacom=0;
 include("../../config.php");
-		$dbi=mysql_connect($dbhost, $dbuname, $dbpass) or die("Connessione non riuscita: " . mysql_error());
-		mysql_select_db($dbname)or die("Connessione non riuscita:" . mysql_error());
-	mysql_query("SET NAMES 'utf8'", $dbi);
-			$rescomu = mysql_query("SELECT id_fascia,abitanti from ".$prefix."_ele_fasce where id_conf='$id_conf'", $dbi);
-		
-		echo "<select name=\"idfascia\">";
-		echo "<option value=\"0\"> ";
-		$inffascia=0;
-		while(list($id,$abitanti)=mysql_fetch_row($rescomu)){
-			$sel='';
-			if ($id == $fasciacom) $sel="selected"; elseif ($id==1) $sel="selected";
-			echo "<option value=\"$id\" $sel>$inffascia - $abitanti";
-			$inffascia=$abitanti;
-		}
-		echo "</select>";
+	try{
+	$dbi = new PDO("mysql:host=$dbhost;charset=latin1", $dbuname, $dbpass, array(PDO::ATTR_EMULATE_PREPARES => false, PDO::ATTR_ERRMODE=>PDO::ERRMODE_EXCEPTION)); 
+     	$sql = "use $dbname";
+    	$dbi->exec($sql);
+        }
+	catch(PDOException $e)
+	{
+	    echo $sql . "<br>" . $e->getMessage();
+	}                                                                                       	
+	$sql="SELECT id_fascia,abitanti from ".$prefix."_ele_fasce where id_conf='$id_conf'";
+	$sth = $dbi->prepare("$sql");
+	$sth->execute();			
+	echo "<select name=\"idfascia\">";
+	echo "<option value=\"0\"> ";
+	$inffascia=0;
+	while(list($id,$abitanti)=$sth->fetch(PDO::FETCH_NUM)){
+		$sel='';
+		if ($id == $fasciacom) $sel="selected"; elseif ($id==1) $sel="selected";
+		echo "<option value=\"$id\" $sel>$inffascia - $abitanti";
+		$inffascia=$abitanti;
+	}
+	echo "</select>";
 
 ?>
Index: trunk/admin/modules/Elezioni/ele_lista.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_lista.php	(revision 335)
+++ trunk/admin/modules/Elezioni/ele_lista.php	(revision 336)
@@ -57,5 +57,4 @@
 	$circo='';
 	$sql="SELECT circo FROM ".$prefix."_ele_tipo where tipo_cons='$tipo_cons'";
-#	$res = mysql_query("SELECT circo FROM ".$prefix."_ele_tipo where tipo_cons='$tipo_cons' and lingua='$currentlang'", $dbi);
 	$res = $dbi->prepare("$sql");
 	$res->execute();						
Index: trunk/admin/modules/Elezioni/ele_operatori_admin.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_operatori_admin.php	(revision 335)
+++ trunk/admin/modules/Elezioni/ele_operatori_admin.php	(revision 336)
@@ -138,5 +138,4 @@
 		if ($do == "add") {
 			if ($aid2) {
-#				$result = mysql_query("select * from ".$prefix."_ele_operatori where aid='$aid2'", $dbi);
 				$sql="insert into ".$prefix."_ele_operatori (id_cons,id_sede,id_comune,permessi,aid) values ('0','0','$id_comune2','$permessi','$aid2')";
 				$res = $dbi->prepare("$sql");
Index: trunk/admin/modules/Elezioni/ele_widget.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_widget.php	(revision 335)
+++ trunk/admin/modules/Elezioni/ele_widget.php	(revision 336)
@@ -25,10 +25,9 @@
 
 $id_comune=$_SESSION['id_comune'];
-#$res = mysql_query("SELECT t1.tipo_cons,t2.id_cons FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune' " , $dbi);
 
 include("modules/Elezioni/funzionidata.php");
 include("modules/Elezioni/ele.php");
 $row=cur_cons();
-$tipo_cons=$row[0];$id_cons=$row[1];
+if(isset($row[0])) {$tipo_cons=$row[0];$id_cons=$row[1];} else {$tipo_cons=0; $id_cons=0;}
 
 if (isset($param['do'])) get_magic_quotes_gpc() ? $do=$param['do']:$do=addslashes($param['do']); else $do='';
@@ -68,6 +67,8 @@
 			$sth->execute();
 			$row = $sth->fetch(PDO::FETCH_BOTH);
-		    $idwid=$row[0];
-		    $id = intval($idwid);
+		    if(isset($row[0])) {
+				$idwid=$row[0];
+				$id = intval($idwid);
+			} else $id=0;
 
 		    if (empty($id)) { // inserisce widget db se non esiste
Index: trunk/admin/modules/Elezioni/importa.php
===================================================================
--- trunk/admin/modules/Elezioni/importa.php	(revision 335)
+++ trunk/admin/modules/Elezioni/importa.php	(revision 336)
@@ -278,63 +278,5 @@
 include("footer.php");
 
-
-
-
-
-
-
-
-
-
-
-/*
-foreach ($ar_gruppo as $rigagruppo){
-	$newidg=0;
-	$oldidg=0;
-	foreach($rigagruppo as $key=>$campo){
-		if ($key==0) $valori="'$idcns',";
-		elseif ($key==1) {$valori.= "null"; $oldidg=$campo;}
-		elseif ($key==6) $valori.= ",0";
-		else $valori.= ",'$campo'";
-		if ($key==2) $numgruppo= $campo;
-	} 
-	if(isset($valori)){
-	$res_gruppo = mysql_query("insert into ".$prefix."_ele_gruppo values($valori)" ,$dbi)||die("(1104) Non e' stato possibile inserire i gruppi nel database! contattare l'amministratore".mysql_error());
-	$resnew = mysql_query("select id_gruppo from ".$prefix."_ele_gruppo where num_gruppo='$numgruppo' and id_cons='$idcns'" ,$dbi);
-	list ($newidg) = mysql_fetch_row($resnew);
-	unset($valori);
-	foreach ($ar_lista as $rigalista){
-		$oldidl=0;
-		foreach($rigalista as $key=>$campo){
-			if ($key==0) $valori="'$idcns',";
-			elseif ($key==1) {$valori.= "null";$oldidl=$campo;}
-			elseif ($key==3) {$valori.= ",'$newidg'"; if ($campo!=$oldidg) $okl=1;}
-			elseif ($key==4) $valori.= ",0"; 
-			else $valori.= ",'$campo'";
-			if ($key==2) $numlista= $campo;
-		}
-		if(isset($valori)){
-		if ($okl) {$okl=0;continue;}
-		$res_lista = mysql_query("insert into ".$prefix."_ele_lista values($valori)" ,$dbi)||die("(1104) Non e' stato possibile inserire le liste nel database! contattare l'amministratore".mysql_error());
-		$reslnew = mysql_query("select id_lista from ".$prefix."_ele_lista where num_lista='$numlista' and id_cons='$idcns'" ,$dbi);
-		list ($newidl) = mysql_fetch_row($reslnew);
-		unset($valori);
-		foreach ($ar_candi as $rigacandi){
-			foreach($rigacandi as $key=>$campo){if (count($rigacandi)!=8) {unset($valori);continue;}
-				if ($key==0) $valori= "null,";
-				elseif ($key==1) $valori.="'$idcns',";
-				elseif ($key==2) {$valori.= "'$newidl'"; if ($campo!=$oldidl) $okc=1;}
-				else $valori.= ",'$campo'";
-			}
-			if(isset($valori)){
-				if ($okc) {$okc=0;continue;}
-				$res_lista = mysql_query("insert into ".$prefix."_ele_candidati values($valori)" ,$dbi)||die("(1104) Non e' stato possibile inserire i candidati nel database! contattare l'amministratore".mysql_error());
-			}
-		}
-		}
-	}
-	}
-}	
-*/
+ 
 
 ?>
Index: trunk/admin/modules/Elezioni/restore.php
===================================================================
--- trunk/admin/modules/Elezioni/restore.php	(revision 335)
+++ trunk/admin/modules/Elezioni/restore.php	(revision 336)
@@ -41,5 +41,4 @@
     $currentLine = 0;
     $cntFile = count($arrFile);
-//    $res_comune = mysql_query("delete from ".$prefix."_ele_lista where id_cons='10'" ,$dbi); if(!$res_comune) echo "delete ".$prefix."_ele_lista where id_cons='10'--- errore di cancellazione".mysql_error();
 // Write contents, inserting $item as first item
 $tabs=array($prefix."_ele_cons_comune",$prefix."_ele_gruppo",$prefix."_ele_lista",$prefix."_ele_candidati",$prefix."_ele_circoscrizione",$prefix."_ele_sede",$prefix."_ele_sezioni",$prefix."_ele_link",$prefix."_ele_come",$prefix."_ele_numeri",$prefix."_ele_servizi",$prefix."_ele_voti_candidati",$prefix."_ele_voti_gruppo",$prefix."_ele_voti_lista",$prefix."_ele_voti_parziale",$prefix."_ele_voti_ref");
Index: trunk/admin/modules/Elezioni/scarica.php
===================================================================
--- trunk/admin/modules/Elezioni/scarica.php	(revision 335)
+++ trunk/admin/modules/Elezioni/scarica.php	(revision 336)
@@ -22,6 +22,4 @@
 if ($perms<32 or !$id_cons_gen) die("Non hai i permessi per inserire dati, o non hai scelto la consultazione!");
 $id_comune=$_SESSION['id_comune'];
-//$res = mysql_query("SELECT t1.tipo_cons,t2.id_cons FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune' " , $dbi);
-//list($tipo_cons,$id_cons) = mysql_fetch_row($res);
 
 include("modules/Elezioni/funzionidata.php");
Index: trunk/admin/temi/default/index.php
===================================================================
--- trunk/admin/temi/default/index.php	(revision 335)
+++ trunk/admin/temi/default/index.php	(revision 336)
@@ -18,10 +18,16 @@
 	$sth->execute();	
 	$row = $sth->fetch(PDO::FETCH_BOTH);
-$descr_consultazione=$row[0];
+	if($sth->rowCount())
+		$descr_consultazione=$row[0];
+	else
+		$descr_consultazione='';
 $sql="select descrizione from ".$prefix."_ele_comuni where id_comune='$id_comune'";
 	$sth = $dbi->prepare("$sql");
 	$sth->execute();	
 	$row = $sth->fetch(PDO::FETCH_BOTH);
-$descr_comune=$row[0];
+	if($sth->rowCount())
+		$descr_comune=$row[0];
+	else
+		$descr_comune='';
 
 echo "<div class=\"container\"><table width=\"95%\"  border=\"0\" cellpadding=\"0\" cellspacing=\"0\" class=\"table-main\">
Index: trunk/admin/temi/facebook/menu.php
===================================================================
--- trunk/admin/temi/facebook/menu.php	(revision 335)
+++ trunk/admin/temi/facebook/menu.php	(revision 336)
@@ -58,5 +58,5 @@
 	$sth->execute();	
 	$row = $sth->fetch(PDO::FETCH_BOTH);	      
-	$esiste_multi=mysql_num_rows($rescomu);
+	$esiste_multi=$sth->rowCount();
 	      if ($esiste_multi>=1) {
 		    echo " <li>
@@ -129,5 +129,4 @@
 		***********************************/
 
- 	$res = mysql_query("SELECT count(0) FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons' ", $dbi);
 	$sql = "SELECT count(0) FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons'"; 
 	$sth = $dbi->prepare("$sql");
Index: trunk/admin/versione.php
===================================================================
--- trunk/admin/versione.php	(revision 335)
+++ trunk/admin/versione.php	(revision 336)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 335";
+$versione = "3.0 rev 336";
 $version_number = $versione;
-$datarel = "22 settembre 2020";
+$datarel = "23 settembre 2020";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 
Index: trunk/client/versione.php
===================================================================
--- trunk/client/versione.php	(revision 335)
+++ trunk/client/versione.php	(revision 336)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 335";
+$versione = "3.0 rev 336";
 $version_number = $versione;
-$datarel = "22 settembre 2020";
+$datarel = "23 settembre 2020";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 
Index: trunk/install/common.php
===================================================================
--- trunk/install/common.php	(revision 335)
+++ trunk/install/common.php	(revision 336)
@@ -33,7 +33,5 @@
 				$arr[$name] = strip_tags( $arr[$name] );
 			}
-			if (!get_magic_quotes_gpc()) {
-				$arr[$name] = addslashes( $arr[$name] );
-			}
+			$arr[$name] = addslashes( $arr[$name] );
 		}
 		return $arr[$name];
Index: trunk/install/includes/database.php
===================================================================
--- trunk/install/includes/database.php	(revision 335)
+++ trunk/install/includes/database.php	(revision 336)
@@ -1,3 +1,3 @@
-<?php
+ <?php
 
 /************************************************************************/
@@ -53,5 +53,5 @@
 	* @param boolean If true and there is an error, go offline
 	*/
-	function database( $host='localhost', $user, $pass, $db='', $table_prefix='', $goOffline=true ) {
+	function __construct( $host='localhost', $user, $pass, $db='', $table_prefix='', $goOffline=true ) {
 		// perform a number of fatality checks, then die gracefully
 		if (!function_exists( 'mysql_connect' )) {
@@ -141,5 +141,6 @@
 			return $q . $s . $q;
 		} else {
-			return $q{0} . $s . $q{1};
+		#	return $q{0} . $s . $q{1};
+			return $q[0] . $s . $q[1];
 		}
 	}
@@ -227,5 +228,5 @@
 				}
 				$l = $k - 1;
-				while ($l >= 0 && $sql{$l} == '\\') {
+				while ($l >= 0 && $sql[$l] == '\\') { #deprecated
 					$l--;
 					$escaped = !$escaped;
@@ -680,5 +681,5 @@
 	*	@param string $key name of the primary key field in the table
 	*/
-	function mosDBTable( $table, $key, &$db ) {
+	function __construct( $table, $key, &$db ) {
 		$this->_tbl = $table;
 		$this->_tbl_key = $key;