Index: /trunk/admin/modules/Elezioni/ele_colora_sez.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_colora_sez.php	(revision 336)
+++ /trunk/admin/modules/Elezioni/ele_colora_sez.php	(revision 337)
@@ -1,6 +1,10 @@
 <?php
 if (!isset($_SESSION['aid'])) die ("You can't access this file directly..."); 
-global $id_cons,$id_circ,$id_sez,$dbi,$prefix,$genere;
+global $id_cons,$id_circ,$id_sez,$dbi,$prefix,$genere,$id_cons_gen;
 
+$sql="SELECT t1.voto_c FROM ".$prefix."_ele_tipo as t1 left join ".$prefix."_ele_consultazione as t2 on t1.tipo_cons=t2.tipo_cons where id_cons_gen='$id_cons_gen'";
+$res = $dbi->prepare("$sql");
+$res->execute();
+list($votoc)=$res->fetch(PDO::FETCH_NUM);
 $sql="select * from ".$prefix."_ele_controlli where id_cons='$id_cons' and id_sez='$id_sez'";
 $resc = $dbi->prepare("$sql");
@@ -14,5 +18,5 @@
 	$res = $dbi->prepare("$sql");
 	$res->execute();	
-	}else{ #candidati
+}else{ #candidati
 	$sql="SELECT t2.id_lista FROM ".$prefix."_ele_voti_candidati as t1 left join ".$prefix."_ele_candidati as t2 on t1.id_cand=t2.id_cand where t1.id_cons='$id_cons' and t1.id_sez='$id_sez' group by t2.id_lista";
 	$res = $dbi->prepare("$sql");
@@ -36,5 +40,8 @@
 		if($res->rowCount()>0){
 			$sezstat=3;
-			$sql="UPDATE ".$prefix."_ele_sezioni set colore='#48D1CC' where id_cons='$id_cons' and id_sez='$id_sez'"; #"MEDIUMTORQUOISE"
+			if($genere>3 and !$votoc)
+				$sql="UPDATE ".$prefix."_ele_sezioni set colore='#48D1CC' where id_cons='$id_cons' and id_sez='$id_sez'"; #"MEDIUMTORQUOISE"
+			else
+				$sql="UPDATE ".$prefix."_ele_sezioni set colore='#99CC33' where id_cons='$id_cons' and id_sez='$id_sez'"; #VERDE
 			$res = $dbi->prepare("$sql");
 			$res->execute();
@@ -56,5 +63,5 @@
 			if($righe){ 
 				$sezstat=4;
-				if($genere==0 and $righe==$righeref)
+				if(($genere==0 and $righe==$righeref) or $genere==1)
 					$sql="UPDATE ".$prefix."_ele_sezioni set colore='#99CC33' where id_cons='$id_cons' and id_sez='$id_sez'"; #VERDE					
 				else $sql="UPDATE ".$prefix."_ele_sezioni set colore='#B0C4DE' where id_cons='$id_cons' and id_sez='$id_sez'"; #"LIGHTSTEELBLUE"
Index: /trunk/admin/modules/Elezioni/ele_controlli.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_controlli.php	(revision 336)
+++ /trunk/admin/modules/Elezioni/ele_controlli.php	(revision 337)
@@ -144,4 +144,8 @@
 	$resref = $dbi->prepare("$sql");
 	$resref->execute();	
+	$sql="SELECT sum(voti) FROM ".$prefix."_ele_voti_gruppo where id_sez='$id_sez'";
+	$resref = $dbi->prepare("$sql");
+	$resref->execute();
+	list($votig)=$resref->fetch(PDO::FETCH_NUM);
 	$sql="SELECT max(voti_complessivi) FROM ".$prefix."_ele_voti_parziale where id_sez='$id_sez'";
 	$res3 = $dbi->prepare("$sql");
@@ -159,5 +163,5 @@
 		$res4->execute();
 		list($validi, $nulli, $bianchi,$contestati,$votinulli)=$res4->fetch(PDO::FETCH_NUM);
-		if (($validi+$nulli+$bianchi+$contestati+$votinulli)!=$voti)
+		if (($validi+$nulli+$bianchi+$contestati+$votinulli)!=$voti or $validi!=$votig)
 			{$err=1;}
 	} 
@@ -276,14 +280,11 @@
 	global $prefix,$dbi,$id_sede,$id_cons_gen,$validi;
 		##############################
+	$controllo=0;
 	$err=0;
 	$tipo='lista';
-	$sql="SELECT genere FROM ".$prefix."_ele_tipo as t1 left join ".$prefix."_ele_consultazione as t2 on t1.tipo_cons=t2.tipo_cons where id_cons_gen='$id_cons_gen'";
-	$res = $dbi->prepare("$sql");
-	$res->execute();
-	list($genere)=$res->fetch(PDO::FETCH_NUM);
-#	$sql="SELECT supdisgiunto FROM ".$prefix."_ele_conf as t1 left join ".$prefix."_ele_consultazione as t2 on t1.tipo_cons=t2.tipo_cons where id_cons_gen='$id_cons_gen'";
-#	$res = $dbi->prepare("$sql");
-#	$res->execute();
-#	list($genere)=$res->fetch(PDO::FETCH_NUM);
+	$sql="SELECT t1.genere,t1.voto_g FROM ".$prefix."_ele_tipo as t1 left join ".$prefix."_ele_consultazione as t2 on t1.tipo_cons=t2.tipo_cons where id_cons_gen='$id_cons_gen'";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+	list($genere,$votog)=$res->fetch(PDO::FETCH_NUM);
 	$sql="SELECT preferenze,disgiunto,solo_gruppo,id_fascia FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'";
 	$res = $dbi->prepare("$sql");
@@ -295,5 +296,5 @@
 	}else{
 
-		if($genere==4)
+		if($genere==4 or $votog)
 			$sql="SELECT id_lista, voti, '0' FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez'";
 		else
@@ -306,5 +307,5 @@
 		$totsl=0;
 		$tnl=0;
-		if($genere==4){
+		if($genere==4 or $votog){
 		    $sql="SELECT validi,contestati,nulli,bianchi,voti_nulli FROM ".$prefix."_ele_sezioni where id_cons='$id_cons' and id_sez='$id_sez'";
 			$res = $dbi->prepare("$sql");
@@ -317,6 +318,6 @@
 			while (list($idg,$votig,$svg)=$resref->fetch(PDO::FETCH_NUM)) {
 				$err=controllo_votic($id_cons,$id_sez,$idg);
-				if($err){ $tipo='lista'; $id_lista=$idg; break; }
-					$sql="SELECT sum(voti), sum(nulli_lista),sum(solo_lista) FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez' and id_lista='$idg'";
+				if($err){ $tipo='lista'; $id_lista=$idg; $controllo=1; break; }
+				$sql="SELECT voti, nulli_lista, solo_lista FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez' and id_lista='$idg'";
 				$res2 = $dbi->prepare("$sql");
 				$res2->execute();
@@ -329,9 +330,8 @@
 					$tnl+=$nl;
 					if(($votig+$svl)<($votil+$svg+$nl))
-					{ $err=1; $tipo='lista';$id_lista=$idg; break; }
+					{ $err=1; $tipo='lista';$id_lista=$idg; $controllo=2;  break; }
 				}				
 			}
-			if ($validil+$contestatil+$nullil+$bianchi+$vnulli!=$votit and $validil+$contestatil+$nullil+$bianchi+$vnulli>0) {$err=1;$tipo='lista';}
-#			if(($solog && !$disg && $tnl!=$nullil) || $totsl!=$solol) {$err=1;$tipo='lista';}
+			if (($validil+$contestatil+$nullil+$bianchi+$vnulli!=$votit and $validil+$contestatil+$nullil+$bianchi+$vnulli>0) or ($totlis!=$validil and $totlis>0)) {$err=1;$tipo='lista';}
 		}else{			
 			$sql="SELECT validi,validi_lista,contestati_lista,voti_nulli_lista,solo_gruppo,solo_lista FROM ".$prefix."_ele_sezioni where id_cons='$id_cons' and id_sez='$id_sez'";
@@ -341,4 +341,5 @@
 			$vl=0;
 			$tvl=0;
+			if($resref->rowCount()){
 			while (list($idg,$votig,$svg)=$resref->fetch(PDO::FETCH_NUM)) {
 				$sql="SELECT id_lista FROM ".$prefix."_ele_lista where id_gruppo='$idg'";
@@ -347,5 +348,5 @@
 				while(list($id_lista)=$res2->fetch(PDO::FETCH_NUM)){
 					$err=controllo_votic($id_cons,$id_sez,$id_lista);
-					if($err){ $tipo='lista'; break; }
+					if($err){ $tipo='lista'; $controllo=3; break; }
 					$sql="SELECT voti FROM ".$prefix."_ele_voti_lista where id_lista='$id_lista' and id_sez='$id_sez'";
 					$res3 = $dbi->prepare("$sql");
@@ -366,11 +367,14 @@
 					$tnl+=$nl;
 					if(($votig+$svl)<($votil+$svg+$nl) and $disg)
-					{ $err=1; $tipo='lista'; break; }
+					{ $err=1; $tipo='lista'; $controllo=4; break; }
 				}
 				
 			}
+			}else{
+			#inserire controllo per consultazioni con voto alle liste ma senza voto di gruppo	
+			}
 			if (!$totsg) $totsg=$solog; 
-			if (($totlis!=$votiv or $validil+$contestatil+$nullil+$totsg!=$votiv) and ($validil+$contestatil+$nullil+$solol>0 or $tvl>0)) {$err=1;$tipo='lista';}
-			if(($solog && !$disg && ($tnl!=$nullil && $disg)) || $totsl!=$solol) {$err=1;$tipo='lista';}
+			if (($totlis!=$validil or $validil+$contestatil+$nullil+$totsg!=$votiv) and ($validil+$contestatil+$nullil+$solol>0 or $tvl>0)) {$err=1;$tipo='lista';$controllo=5;} include("--- $votog --- $sql --- if (($totlis!=$votiv or $validil+$contestatil+$nullil+$totsg!=$votiv) and ($validil+$contestatil+$nullil+$solol>0 or $tvl>0))");
+			if(($solog && !$disg && ($tnl!=$nullil && $disg)) || $totsl!=$solol) {$err=1;$tipo='lista';$controllo=6;}
 		}
 		
@@ -384,5 +388,5 @@
 
 	if($err){
-		if(!$id_lista) $id_lista=0;
+		if(!$id_lista) $id_lista=0; //$controllo;
 		$sql="insert into ".$prefix."_ele_controlli value('$id_cons','$id_sez','$tipo','$id_lista')";
 		$res = $dbi->prepare("$sql");
Index: /trunk/admin/modules/Elezioni/ele_voti.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_voti.php	(revision 336)
+++ /trunk/admin/modules/Elezioni/ele_voti.php	(revision 337)
@@ -824,5 +824,5 @@
 
 
-        list($voti_sind) = $resvg;
+        list($voti_sind) = $resvg->fetch(PDO::FETCH_NUM);
 
 echo "<tr bgcolor=\"$bgcolor1\"><td></td><td><b>"._SOLO_GRUPPO."</b></td><td align=\"center\">".($voti_sind - $tot_pref)."</td></tr>";
@@ -1481,15 +1481,15 @@
 		."</td><td align=\"left\"><b> $descr_gruppo </b>";
 		$sql="SELECT * FROM ".$prefix."_ele_voti_gruppo where id_cons='$id_cons' and id_sez='$id_sez' and id_gruppo='$id_gruppo' ";
-$res = $dbi->prepare("$sql");
-$res->execute();
-
+		$res = $dbi->prepare("$sql");
+		$res->execute();
 
 		$pro= $res->fetch(PDO::FETCH_BOTH);
+		if(!$res->rowCount()) {$pro['voti']=''; $pro['solo_gruppo']='';}
 		$errcolor='';
 		if(isset($errgrulis[$id_gruppo])) $errcolor="style=\"background-color: rgb(255, 0, 0);\"";
 		echo "</td><td align=\"right\" $errcolor><input  name=\"voti$i\" value=\"".$pro['voti']."\" size=\"7\"  style=\"text-align:right\"></td>";
 
-		if($dettnulli) {echo "<td align=\"right\"><input name=\"solog$i\" value=\"".$pro['solo_gruppo']."\" size=\"7\"  style=\"text-align:right\"></td>"; $totsg+=$pro['solo_gruppo'];} 
-		$tot_pref += $pro['voti'];
+		if($dettnulli) {echo "<td align=\"right\"><input name=\"solog$i\" value=\"".$pro['solo_gruppo']."\" size=\"7\"  style=\"text-align:right\"></td>"; $totsg+=intval($pro['solo_gruppo']);} 
+		$tot_pref += intval($pro['voti']);
 		echo "</tr>";
 	}
Index: /trunk/admin/versione.php
===================================================================
--- /trunk/admin/versione.php	(revision 336)
+++ /trunk/admin/versione.php	(revision 337)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 336";
+$versione = "3.0 rev 337";
 $version_number = $versione;
-$datarel = "23 settembre 2020";
+$datarel = "15 ottobre 2020";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 
Index: /trunk/client/modules/Elezioni/affluenze.php
===================================================================
--- /trunk/client/modules/Elezioni/affluenze.php	(revision 336)
+++ /trunk/client/modules/Elezioni/affluenze.php	(revision 337)
@@ -167,5 +167,5 @@
 #	while (list($appo) = mysql_fetch_array($res)) {$i=$appo['num_sez']; $linka[$i] = $appo;echo "\nnum:$i:".$linka[$i]['num_sez'];}die();
 	$num_sez = $res->rowCount(); //numero totale delle sezioni
-	$sez_da=$linka[1]['num_sez'];
+	if (isset($linka[1]['num_sez']))  $sez_da=$linka[1]['num_sez']; else $sez_da=0;
 	$sez_a=$sez_da+$num_sez-1;
 	$tot_compl=0;$tot_u=0;$tot_d=0;
@@ -179,4 +179,5 @@
 for ($i=$sez_da;$i<=$sez_a;$i++,$y++)	{	
 #		$ar[$i]['numsez']=$i;
+		if(!isset($linka[$y]['num_sez'])) { $linka[$y]['num_sez']=0; $linka[$y]['elettori']=0;}
 		$z=$linka[$y]['num_sez'];
 		$ar[$z]['numsez']=$linka[$y]['num_sez'];
Index: /trunk/client/modules/Elezioni/gruppo.php
===================================================================
--- /trunk/client/modules/Elezioni/gruppo.php	(revision 336)
+++ /trunk/client/modules/Elezioni/gruppo.php	(revision 337)
@@ -205,8 +205,9 @@
 		}
 		if($res_sez->rowCount()) list($tot_sez,$numsezmin,$numsezmax)=$res_sez->fetch(PDO::FETCH_NUM); 
+		else {$tot_sez=0;$numsezmin=0;$numsezmax=0;}
 		$sql="SELECT count(num_sez) from ".$prefix."_ele_sezioni where id_cons=$id_cons";
 		$res_sez = $dbi->prepare("$sql");
 		$res_sez->execute();
-
+		
 		list($tuttelesez)=$res_sez->fetch(PDO::FETCH_NUM); 
 
@@ -363,4 +364,5 @@
 			# pagine
 ############
+			if(!$offsetsez) $offsetsez=0;
 			if (strstr( $op,'circo'))
 			$sql="SELECT count(num_circ) from ".$prefix."_ele_circoscrizione where id_cons=$id_cons and num_circ>=$minsez and num_circ<=$offsetsez";
@@ -369,5 +371,4 @@
 			else
 			$sql="SELECT count(num_sez) from ".$prefix."_ele_sezioni where id_cons=$id_cons and num_sez>=$minsez and num_sez<=$offsetsez";
-
 				$resnsez = $dbi->prepare("$sql");
 				$resnsez->execute();
@@ -522,5 +523,4 @@
 			$res_numsez = $dbi->prepare("$sql");
 			$res_numsez->execute();#				for ($z=1;$z<=($offsetsez-$ominsez);$z++) {
-			while($res=$res_numsez->fetch(PDO::FETCH_NUM)) {
 			$sevaltot=0;
 			$senultot=0;
@@ -528,4 +528,5 @@
 			$secontot=0;
 			$sevnutot=0;
+			while($res=$res_numsez->fetch(PDO::FETCH_NUM)) {
 				$z=$res[0];
 ##############inserimento percentuale di scrutinio nella sezione
Index: /trunk/client/versione.php
===================================================================
--- /trunk/client/versione.php	(revision 336)
+++ /trunk/client/versione.php	(revision 337)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 336";
+$versione = "3.0 rev 337";
 $version_number = $versione;
-$datarel = "23 settembre 2020";
+$datarel = "15 ottobre 2020";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 