Index: trunk/admin/modules/Elezioni/ele_candidato.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_candidato.php	(revision 337)
+++ trunk/admin/modules/Elezioni/ele_candidato.php	(revision 338)
@@ -102,6 +102,6 @@
 		}
 		echo "</select></td></tr></table></form>";
-		$circo="and id_circ='$id_circ'";	
-		$circo2="and t2.id_circ='$id_circ'";	
+		$circo="and id_circ=$id_circ";	
+		$circo2="and t2.id_circ=$id_circ";	
 	}	
 	if($id_cand)
Index: trunk/admin/modules/Elezioni/ele_colora_sez.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_colora_sez.php	(revision 337)
+++ trunk/admin/modules/Elezioni/ele_colora_sez.php	(revision 338)
@@ -1,6 +1,7 @@
 <?php
 if (!isset($_SESSION['aid'])) die ("You can't access this file directly..."); 
-global $id_cons,$id_circ,$id_sez,$dbi,$prefix,$genere,$id_cons_gen;
+global $id_cons,$id_circ,$id_sez,$dbi,$prefix,$genere,$id_cons_gen,$circo;
 
+if ($circo) $iscirco"and id_circ=$id_circ"; else $iscirco=''; 
 $sql="SELECT t1.voto_c FROM ".$prefix."_ele_tipo as t1 left join ".$prefix."_ele_consultazione as t2 on t1.tipo_cons=t2.tipo_cons where id_cons_gen='$id_cons_gen'";
 $res = $dbi->prepare("$sql");
@@ -24,5 +25,5 @@
 	$liste=$res->rowCount();
 	
-	$sql="SELECT count(id_lista) FROM ".$prefix."_ele_lista where id_cons='$id_cons'";
+	$sql="SELECT count(id_lista) FROM ".$prefix."_ele_lista where id_cons='$id_cons' $iscirco";
 	$res = $dbi->prepare("$sql");
 	$res->execute();
Index: trunk/admin/modules/Elezioni/ele_controlli.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_controlli.php	(revision 337)
+++ trunk/admin/modules/Elezioni/ele_controlli.php	(revision 338)
@@ -375,6 +375,6 @@
 			}
 			if (!$totsg) $totsg=$solog; 
-			if (($totlis!=$validil or $validil+$contestatil+$nullil+$totsg!=$votiv) and ($validil+$contestatil+$nullil+$solol>0 or $tvl>0)) {$err=1;$tipo='lista';$controllo=5;} include("--- $votog --- $sql --- if (($totlis!=$votiv or $validil+$contestatil+$nullil+$totsg!=$votiv) and ($validil+$contestatil+$nullil+$solol>0 or $tvl>0))");
-			if(($solog && !$disg && ($tnl!=$nullil && $disg)) || $totsl!=$solol) {$err=1;$tipo='lista';$controllo=6;}
+			if (($totlis!=$validil or $validil+$contestatil+$nullil+$totsg!=$votiv) and ($validil+$contestatil+$nullil+$solol>0 or $tvl>0)) {$err=1;$tipo='lista';$controllo=5;} 
+			if(($solog && !$disg && ($tnl!=$nullil && $disg)) || $totsl!=$solol || ($totsg!=$solog)) {$err=1;$tipo='lista';$controllo=6;}
 		}
 		
Index: trunk/admin/modules/Elezioni/ele_lista.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_lista.php	(revision 337)
+++ trunk/admin/modules/Elezioni/ele_lista.php	(revision 338)
@@ -76,5 +76,5 @@
 		}
 		echo "</select></td></tr></table></form>";
-		$circo="and id_circ='$id_circ'";	
+		$circo="and id_circ=$id_circ";	
 	}
 	echo "<center><font class=\"title\">";
Index: trunk/admin/modules/Elezioni/ele_voti.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_voti.php	(revision 337)
+++ trunk/admin/modules/Elezioni/ele_voti.php	(revision 338)
@@ -63,5 +63,11 @@
 
 
+
 list($dettnulli,$disgiunto)=$res->fetch(PDO::FETCH_NUM);
+
+$sql="SELECT circo FROM ".$prefix."_ele_tipo where tipo_cons='$tipo_cons' ";
+$res = $dbi->prepare("$sql");
+$res->execute();
+list($conscirc)=$res->fetch(PDO::FETCH_NUM);
 if ($conscirc){  // or $num_circ==1
 	if (!$id_circ){
@@ -80,6 +86,6 @@
 
 		#$sql="SELECT id_circ FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons' order by num_circ limit 0,1";
-$res = $dbi->prepare("$sql");
-$res->execute();
+//$res = $dbi->prepare("$sql");
+//$res->execute();
 
 
@@ -105,5 +111,5 @@
 	$tmp=implode (",",$idsezi);
 	$sezi = "and id_sez in ($tmp)";
-	$circo = "and id_circ='$id_circ'"; 
+	$circo = "and id_circ=$id_circ"; 
 }else{
 	$sezi='';
@@ -175,5 +181,5 @@
 
 function voti($id_cons,$do,$id_circ,$id_sede,$ops,$ov,$mv,$gv,$msv,$av,$id_lista) {
-   	global $aid,$bgcolor1, $bgcolor2, $prefix, $dbi, $offset, $min, $tipo_cons, $genere,$id_cons_gen,$prev_sez,$votog,$votol,$votoc,$conscirc,$id_sez,$ops;
+   	global $aid,$bgcolor1, $bgcolor2, $prefix, $dbi, $offset, $min, $tipo_cons, $genere,$id_cons_gen,$prev_sez,$votog,$votol,$votoc,$conscirc,$id_sez,$ops,$circo;
 
    	echo "<table border=\"0\" width=\"760\" align=\"left\"><tr>";
@@ -389,5 +395,5 @@
 function preferenze($id_cons,$do,$id_circ,$id_sede,$id_sez,$ops){
  	global $aid, $prefix, $dbi, $id_lista,$genere,$id_cons_gen,$id_gruppo,$sezi,$circo,$votog,$votol,$votoc,$conscirc;
-global $tipo_cons,$limite,$dettnulli,$disgiunto;
+global $tipo_cons,$limite,$dettnulli,$disgiunto,$circo;
 $bgcolor1="#7777ff";
 $bgcolor2=$_SESSION['bgcolor2'];
@@ -421,15 +427,7 @@
 if ($circo and $id_lista){
 	$sql="SELECT num_lista from ".$prefix."_ele_lista where id_lista=$id_lista";
-$res_lis = $dbi->prepare("$sql");
-$res_lis->execute();
-
-
+	$res_lis = $dbi->prepare("$sql");
+	$res_lis->execute();
 	list($num_lista)=$res_lis->fetch(PDO::FETCH_NUM);
-	$sql="SELECT id_lista from ".$prefix."_ele_lista where num_lista=$num_lista and id_cons='$id_cons' $circo";
-$res_lis = $dbi->prepare("$sql");
-$res_lis->execute();
-
-
-	list($id_lista)=$res_lis->fetch(PDO::FETCH_NUM);
 }
 
@@ -457,5 +455,5 @@
 		if (($genere==4 or $genere==5) and !$votoc) { //liste a piu' candidati
 			if(($genere==5 and $id_conf and $fascia<=$limite and !$disgiunto) and !$id_lista) { //esclude il voto di lista per le comunali nei comuni sotto fascia limite
-				$sql="SELECT id_lista from ".$prefix."_ele_lista where id_cons=$id_cons limit 0,1";
+				$sql="SELECT id_lista from ".$prefix."_ele_lista where id_cons=$id_cons $circo limit 0,1";
 $result = $dbi->prepare("$sql");
 $result->execute();
@@ -609,5 +607,5 @@
 	$errgrulis=array();
 	if($genere==5 and !$disgiunto  and ($tipo_cons==18 or $tipo_cons==19)){
-		$sql="SELECT id_gruppo FROM ".$prefix."_ele_gruppo where id_cons='$id_cons'";
+		$sql="SELECT id_gruppo FROM ".$prefix."_ele_gruppo where id_cons='$id_cons' $circo";
 $resref = $dbi->prepare("$sql");
 $resref->execute();
@@ -638,5 +636,5 @@
                     if($vliste>$vgruppo)
                     	{
-                    	 $sql="SELECT descrizione FROM ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'";
+                    	 $sql="SELECT descrizione FROM ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo' $circo";
 $result = $dbi->prepare("$sql");
 $result->execute();
@@ -649,5 +647,5 @@
                     elseif($vliste<$vgruppo)
                     	{
-                    	 $sql="SELECT descrizione FROM ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'";
+                    	 $sql="SELECT descrizione FROM ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo' $circo";
 $result = $dbi->prepare("$sql");
 $result->execute();
@@ -745,4 +743,5 @@
 			} 
 		}else {
+			if($circo) $circot1=" and t1.id_circ=$id_circ"; else $circot1='';
 			$sql="select t2.voti,t1.id_lista, descrizione,simbolo,t1.num_lista,t2.nulli_lista,t2.solo_lista,t1.id_gruppo 
 			from ".$prefix."_ele_lista as t1, ".$prefix."_ele_voti_lista as t2
@@ -750,4 +749,5 @@
 			and t1.id_lista=t2.id_lista
 			and t2.id_sez=$id_sez
+			$circot1
 			order by t1.num_lista";
 
@@ -1164,5 +1164,5 @@
 $bgcolor1="#7777ff";
 $bgcolor2=$_SESSION['bgcolor2'];
-    $sql="SELECT * FROM ".$prefix."_ele_gruppo where id_cons='$id_cons'  ";
+$sql="SELECT * FROM ".$prefix."_ele_gruppo where id_cons='$id_cons' $circo ";
 $res = $dbi->prepare("$sql");
 $res->execute();
@@ -1260,20 +1260,20 @@
     	}
 		$sql="SELECT sum(voti) from ".$prefix."_ele_voti_lista where id_cons=$id_cons and id_sez=$id_sez";
-$resg = $dbi->prepare("$sql");
-$resg->execute();
-
-
-		list($voti_sez)=$resg->fetch(PDO::FETCH_NUM);
-		if(($genere==5 and !$disgiunto and $voti_sez and $flagsg and ($tipo_cons==18 or $tipo_cons==19))){
+		$resg = $dbi->prepare("$sql");
+		$resg->execute();
+
+
+			list($voti_sez)=$resg->fetch(PDO::FETCH_NUM);
+			if(($genere==5 and !$disgiunto and $voti_sez and $flagsg and ($tipo_cons==18 or $tipo_cons==19))){
 
 			$sql="SELECT sum(solo_gruppo) from ".$prefix."_ele_voti_gruppo where id_cons=$id_cons and id_sez=$id_sez";
-$resg = $dbi->prepare("$sql");
-$resg->execute();
+			$resg = $dbi->prepare("$sql");
+			$resg->execute();
 
 
 			list($sgpl)=$resg->fetch(PDO::FETCH_NUM);
 			$sql="SELECT solo_gruppo from ".$prefix."_ele_sezioni where id_cons=$id_cons and id_sez=$id_sez";
-$resg = $dbi->prepare("$sql");
-$resg->execute();
+			$resg = $dbi->prepare("$sql");
+			$resg->execute();
 
 
@@ -1283,13 +1283,13 @@
 #controllo voti a liste collegate <= voto di gruppo per voto non disgiunto
 if($genere==5 and !$disgiunto and $flagsg  and ($tipo_cons==18 or $tipo_cons==19)){
-                $sql="SELECT id_gruppo FROM ".$prefix."_ele_gruppo where id_cons='$id_cons'";
+$sql="SELECT id_gruppo FROM ".$prefix."_ele_gruppo where id_cons='$id_cons' $circo";
 $resref = $dbi->prepare("$sql");
 $resref->execute();
 
 
-		  $errgrulis=array();
+		$errgrulis=array();
 		$sql="SELECT count(0) FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez'";
-$res4 = $dbi->prepare("$sql");
-$res4->execute();
+		$res4 = $dbi->prepare("$sql");
+		$res4->execute();
 
 
@@ -1297,5 +1297,5 @@
 		if ($sezscrl)
                 while ( list($id_gruppo)=$resref->fetch(PDO::FETCH_NUM))
-                    {
+                {
 					if($disgiunto || $flagsg){	
 						$sql="SELECT sum(voti-solo_gruppo) FROM ".$prefix."_ele_voti_gruppo where id_sez='$id_sez' and id_gruppo='$id_gruppo'";
@@ -1339,42 +1339,6 @@
                     	$errgrulis[$id_gruppo]=1;
                     	}
-                    }
-/*                   {
-                    $sql="SELECT sum(voti-solo_gruppo) FROM ".$prefix."_ele_voti_gruppo where id_sez='$id_sez' and id_gruppo='$id_gruppo'";
-$res3 = $dbi->prepare("$sql");
-$res3->execute();
-
-
-                    $sql="SELECT sum(voti+nulli_lista) FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez' and  id_lista in (select id_lista from ".$prefix."_ele_lista where id_gruppo='$id_gruppo')";
-$res4 = $dbi->prepare("$sql");
-$res4->execute();
-
-
-                    list($vgruppo)=$res3->fetch(PDO::FETCH_NUM);
-                    list($vliste)=$res4->fetch(PDO::FETCH_NUM); //($tipo_cons=18 or $tipo_cons=19))
-                    if($vliste>$vgruppo  and !$disgiunto) 
-                        {
-			    $errgrulis[$id_gruppo]=1;
-                         $sql="SELECT descrizione FROM ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'";
-$result = $dbi->prepare("$sql");
-$result->execute();
-
-
-                         list($dgruppo)=$result->fetch(PDO::FETCH_NUM);
-                        echo "<tr><td style=\"background-color: rgb(255, 0, 0); color: black; text-align: center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br/><b> ATTENZIONE!<BR/>I voti delle liste collegate<br/> superano i voti assegnati al gruppo $dgruppo </b><br></td></tr>";
-                        }
-                    elseif($vliste<$vgruppo  and !($tipo_cons=18 or $tipo_cons=19))
-                        {
-			    $errgrulis[$id_gruppo]=1;
-                         $sql="SELECT descrizione FROM ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'";
-$result = $dbi->prepare("$sql");
-$result->execute();
-
-
-                         list($dgruppo)=$result->fetch(PDO::FETCH_NUM);
-                        echo "<tr><td style=\"background-color: rgb(255, 0, 0); color: black; text-align: center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br/><b> ATTENZIONE!<BR/>I voti assegnati al gruppo $dgruppo <br/> superano i voti delle liste collegate</b><br></td></tr>";
-                        }
-                    }*/
-}
+                }
+		}
 
     }
@@ -1411,5 +1375,5 @@
 	}
     echo "</tr>";
-    $sql="SELECT * FROM ".$prefix."_ele_gruppo where id_cons='$id_cons' $circo ";
+    $sql="SELECT * FROM ".$prefix."_ele_gruppo where id_cons='$id_cons' $circo ORDER BY num_gruppo ";
 $res = $dbi->prepare("$sql");
 $res->execute();
@@ -1418,8 +1382,4 @@
     $max = $res->rowCount();
     //echo "Massimo:$max - id=$id_cons - circo: $circo";
-    $sql="select * from ".$prefix."_ele_gruppo where id_cons='$id_cons' $circo ORDER BY num_gruppo  ";
-$result = $dbi->prepare("$sql");
-$result->execute();
-
 
     $i=1;
Index: trunk/admin/modules/Elezioni/salva_gruppi.php
===================================================================
--- trunk/admin/modules/Elezioni/salva_gruppi.php	(revision 337)
+++ trunk/admin/modules/Elezioni/salva_gruppi.php	(revision 338)
@@ -44,4 +44,14 @@
 
 global $prefix,$id_parz,$fileout;
+$sql="SELECT tipo_cons FROM ".$prefix."_ele_consultazione where id_cons_gen='$id_cons_gen'" ;
+$res = $dbi->prepare("$sql");
+$res->execute();
+list($tipo_cons) = $res->fetch(PDO::FETCH_NUM);
+$sql="SELECT circo FROM ".$prefix."_ele_tipo where tipo_cons='$tipo_cons' ";
+$res = $dbi->prepare("$sql");
+$res->execute();
+list($circo)=$res->fetch(PDO::FETCH_NUM);
+
+if ($circo) $circo="and id_circ=$id_circ"; else $circo=''; 
 $sql="select num_gruppo from ".$prefix."_ele_gruppo where id_cons='$id_cons' $circo ORDER BY num_gruppo  ";
 $result = $dbi->prepare("$sql");
@@ -93,5 +103,5 @@
 			}
 		}else{
-			$sql="select num_gruppo,id_gruppo from ".$prefix."_ele_gruppo where id_cons='$id_cons'";
+			$sql="select num_gruppo,id_gruppo from ".$prefix."_ele_gruppo where id_cons='$id_cons' $circo";
 			$result = $dbi->prepare("$sql");
 			$result->execute();
Index: trunk/admin/modules/Elezioni/salva_liste.php
===================================================================
--- trunk/admin/modules/Elezioni/salva_liste.php	(revision 337)
+++ trunk/admin/modules/Elezioni/salva_liste.php	(revision 338)
@@ -50,4 +50,14 @@
 
 global $prefix,$id_parz,$fileout;
+$sql="SELECT tipo_cons FROM ".$prefix."_ele_consultazione where id_cons_gen='$id_cons_gen'" ;
+$res = $dbi->prepare("$sql");
+$res->execute();
+list($tipo_cons) = $res->fetch(PDO::FETCH_NUM);
+$sql="SELECT circo FROM ".$prefix."_ele_tipo where tipo_cons='$tipo_cons' ";
+$res = $dbi->prepare("$sql");
+$res->execute();
+list($circo)=$res->fetch(PDO::FETCH_NUM);
+
+if ($circo) $iscirco="and id_circ=$id_circ"; else $iscirco=''; 
 if($id_lista){
 	$sql="select num_cand,id_cand from ".$prefix."_ele_candidati where id_cons='$id_cons' and id_lista='$id_lista' ORDER BY num_cand  ";
@@ -62,5 +72,5 @@
 	}
 }else{
-	$sql="select num_lista from ".$prefix."_ele_lista where id_cons='$id_cons' ORDER BY num_lista  ";
+	$sql="select num_lista from ".$prefix."_ele_lista where id_cons='$id_cons' $iscirco ORDER BY num_lista ";
 	$result = $dbi->prepare("$sql");
 	$result->execute();
@@ -120,5 +130,5 @@
 			$result->execute();
 			if($result->rowCount()){
-				$sql="select num_lista,id_lista from ".$prefix."_ele_lista where id_cons='$id_cons'";
+				$sql="select num_lista,id_lista from ".$prefix."_ele_lista where id_cons='$id_cons' $iscirco";
 				$result = $dbi->prepare("$sql");
 				$result->execute();
@@ -131,5 +141,5 @@
 			}else{
 				
-				$sql="select num_lista,id_lista from ".$prefix."_ele_lista where id_cons='$id_cons'";
+				$sql="select num_lista,id_lista from ".$prefix."_ele_lista where id_cons='$id_cons' $iscirco";
 				$result = $dbi->prepare("$sql");
 				$result->execute();