Index: trunk/client/modules/Elezioni/blocchi/01_votanti.php
===================================================================
--- trunk/client/modules/Elezioni/blocchi/01_votanti.php	(revision 339)
+++ trunk/client/modules/Elezioni/blocchi/01_votanti.php	(revision 340)
@@ -59,5 +59,7 @@
 # calcolo sezioni 
 if($genere==0) $sql="select count(0) from ".$prefix."_ele_voti_".$tab." where id_cons='$id_cons' and id_gruppo='$id'";
-	
+else 
+	if (!$circos) $sql="select count(0) from ".$prefix."_ele_sezioni as t2 where t2.id_cons='$id_cons' and t2.validi+t2.nulli+t2.bianchi+t2.contestati>0 ";
+	else $sql="select count(0) from ".$prefix."_ele_sezioni as t2 left join ".$prefix."_ele_sede as t1 on t1.id_sede=t2.id_sede where t1.id_sede in (select id_sede from ".$prefix."_ele_sede where id_circ='$id_circ') and t2.validi+t2.nulli+t2.bianchi+t2.contestati>0 ";	
 
 else $sql="select count(0) from ".$prefix."_ele_sezioni where id_cons='$id_cons' and validi+nulli+bianchi+contestati>0";
Index: trunk/client/modules/Elezioni/grafici/gd_image.inc.php
===================================================================
--- trunk/client/modules/Elezioni/grafici/gd_image.inc.php	(revision 339)
+++ trunk/client/modules/Elezioni/grafici/gd_image.inc.php	(revision 340)
@@ -109,5 +109,5 @@
         }
         else {
-            JpGraphError::RaiseL(25128);//('The function imageantialias() is not available in your PHP installation. Use the GD version that comes with PHP and not the standalone version.')
+        //    JpGraphError::RaiseL(25128);//('The function imageantialias() is not available in your PHP installation. Use the GD version that comes with PHP and not the standalone version.')
         }
     }
Index: trunk/client/modules/Elezioni/index.php
===================================================================
--- trunk/client/modules/Elezioni/index.php	(revision 339)
+++ trunk/client/modules/Elezioni/index.php	(revision 340)
@@ -1050,17 +1050,29 @@
   		}
   // numero sezioni scrutinate, escluse circorscrizioni (da aggiungere)
-                if ($circo!=1){$sqlcir="";}else{$sqlcir="and id_circ='$id_circ'";	}
-  			if ($votog) {$tab="lista";}else{$tab="candidati";}
-			$sql="select id_sez from ".$prefix."_ele_voti_".$tab." where id_cons='$id_cons' $sqlcir group by id_sez ";
-			$res1 = $dbi->prepare("$sql");
-			$res1->execute();
-
-			$numero=$res1->rowCount();
-			$sql="select max(num_sez)  from ".$prefix."_ele_sezioni where id_cons='$id_cons' $sqlcir";
-			$res2 = $dbi->prepare("$sql");
-			$res2->execute();
-
-			list($sezioni)=$res2->fetch(PDO::FETCH_NUM);
-		
+
+                if ($circo!=1)
+				{
+					$sqlcir="";
+					$sql2="select max(num_sez)  from ".$prefix."_ele_sezioni where id_cons='$id_cons'";
+				}
+				else
+				{
+					$sqlcir="and id_circ='$id_circ'";       
+					$sql2="select count(num_sez)  from ".$prefix."_ele_sezioni where id_sede in (select id_sede from ".$prefix."_ele_sede where id_circ='$id_circ')";
+				}
+					if ($votog)
+							$sql="select id_sez from ".$prefix."_ele_voti_candidati where id_lista in (select id_lista from ".$prefix."_ele_lista where id_cons='$id_cons' $sqlcir) group by id_sez ";
+					else
+							$sql="select id_sez from ".$prefix."_ele_voti_lista where id_lista in (select id_lista from ".$prefix."_ele_lista where id_cons='$id_cons' $sqlcir) group by id_sez ";
+
+					$res1 = $dbi->prepare("$sql");
+					$res1->execute();
+					$numero=$res1->rowCount();
+
+					$res2 = $dbi->prepare("$sql2");
+					$res2->execute();
+
+					list($sezioni)=$res2->fetch(PDO::FETCH_NUM);
+
 			
   
Index: trunk/client/modules/Elezioni/language/lang-it.php
===================================================================
--- trunk/client/modules/Elezioni/language/lang-it.php	(revision 339)
+++ trunk/client/modules/Elezioni/language/lang-it.php	(revision 340)
@@ -444,4 +444,5 @@
 		break;
 	case 14:
+		define("_SCELTA_CIR","Scegli la Circoscrizione");
 		define("_CONSULTAZIONE","Consultazione Parlamentare Europea"); //genere 4
 		define("_SIMBOLO","Simbolo");
@@ -452,4 +453,5 @@
 		break;
 	case 15:
+		define("_SCELTA_CIR","Scegli la Circoscrizione");
 		define("_CONSULTAZIONE","Consultazione Camera"); //genere 2
 		define("_SIMBOLO","Simbolo");
@@ -459,4 +461,5 @@
 		break;
 	case 16: 
+		define("_SCELTA_CIR","Scegli la Circoscrizione");
 		define("_CONSULTAZIONE","Consultazione Senato"); //genere 2
 		define("_SIMBOLO","Simbolo");
@@ -466,4 +469,5 @@
 		break;
 	case 17:
+		define("_SCELTA_CIR","Scegli la Circoscrizione");
 		define("_CONSULTAZIONE","Consultazione Elezioni Regionali"); //genere 5
 		define("_SIMBOLO","Candidato<br />Presidente");
Index: trunk/client/versione.php
===================================================================
--- trunk/client/versione.php	(revision 339)
+++ trunk/client/versione.php	(revision 340)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 339";
+$versione = "3.0 rev 340";
 $version_number = $versione;
-$datarel = "11 novembre 2020";
+$datarel = "14 novembre 2020";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 