Index: trunk/admin/modules/Elezioni/ele_colora_sez.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_colora_sez.php	(revision 341)
+++ trunk/admin/modules/Elezioni/ele_colora_sez.php	(revision 342)
@@ -1,11 +1,11 @@
 <?php
 if (!isset($_SESSION['aid'])) die ("You can't access this file directly..."); 
-global $id_cons,$id_circ,$id_sez,$dbi,$prefix,$genere,$id_cons_gen,$circo;
+global $id_cons,$id_circ,$id_sez,$dbi,$prefix,$genere,$id_cons_gen;
 
-if ($circo) $iscirco="and id_circ=$id_circ"; else $iscirco=''; 
-$sql="SELECT t1.voto_c FROM ".$prefix."_ele_tipo as t1 left join ".$prefix."_ele_consultazione as t2 on t1.tipo_cons=t2.tipo_cons where id_cons_gen='$id_cons_gen'";
+$sql="SELECT t1.voto_c,circo FROM ".$prefix."_ele_tipo as t1 left join ".$prefix."_ele_consultazione as t2 on t1.tipo_cons=t2.tipo_cons where id_cons_gen='$id_cons_gen'";
 $res = $dbi->prepare("$sql");
 $res->execute();
-list($votoc)=$res->fetch(PDO::FETCH_NUM);
+list($votoc,$circo)=$res->fetch(PDO::FETCH_NUM);
+if ($circo) $iscirco="and id_circ=$id_circ"; else $iscirco=''; 
 $sql="select * from ".$prefix."_ele_controlli where id_cons='$id_cons' and id_sez='$id_sez'";
 $resc = $dbi->prepare("$sql");
@@ -33,8 +33,11 @@
 		$sql="UPDATE ".$prefix."_ele_sezioni set colore='#99CC33' where id_cons='$id_cons' and id_sez='$id_sez'"; #VERDE
 		$res = $dbi->prepare("$sql");
-		$res->execute();		
+		$res->execute();	
 	}
 	if(!$sezstat) { #liste
-		$sql="SELECT id_lista FROM ".$prefix."_ele_voti_lista where id_cons='$id_cons' and id_sez='$id_sez'";
+		if($genere==2)
+			$sql="SELECT id_gruppo FROM ".$prefix."_ele_voti_gruppo where id_cons='$id_cons' and id_sez='$id_sez'";
+		else
+			$sql="SELECT id_lista FROM ".$prefix."_ele_voti_lista where id_cons='$id_cons' and id_sez='$id_sez'";
 		$res = $dbi->prepare("$sql");
 		$res->execute();
Index: trunk/admin/modules/Elezioni/ele_voti.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_voti.php	(revision 341)
+++ trunk/admin/modules/Elezioni/ele_voti.php	(revision 342)
@@ -298,20 +298,19 @@
 	// Menu spoglio
 	//************************************
-     		$sql="select id_cons,id_sez,id_sede,num_sez, maschi, femmine  from ".$prefix."_ele_sezioni where id_cons='$id_cons' and id_sez='$id_sez'";
-$result = $dbi->prepare("$sql");
-$result->execute();
-
-
-     		list($id_cons2,$id_sez2,$id_sede,$num_sez, $maschi, $femmine) = $result->fetch(PDO::FETCH_NUM);
-
-                echo "<hr><table><tr><td  width=\"200\"><font size =\"4\" color=\"black\" align=\"left\"><b>Sezione N. $num_sez</b></font></td><td><table><tr>";
-                echo "\n<td bgcolor=\"$bgcolor1\" align=\"center\"><p style=\"margin-left:10px;margin-right:10px;\"><b><a href=\"admin.php?op=voti&amp;id_cons_gen=$id_cons_gen&amp;id_sez=$id_sez&amp;id_circ=$id_circ&amp;id_sede=$id_sede&amp;do=spoglio&amp;ops=1\">"._AFFLUENZE."</a></b></p></td>\n";
-                if(!($genere==4) and !($votog)){ //if(!($genere==4) and !($tipo_cons==10 or $tipo_cons==11)){
-                        echo "<td bgcolor=\"$bgcolor1\" align=\"center\"><p style=\"margin-left:10px;margin-right:10px;\"><b><a href=\"admin.php?op=voti&amp;id_cons_gen=$id_cons_gen&amp;id_sez=$id_sez&amp;id_circ=$id_circ&amp;id_sede=$id_sede&amp;do=spoglio&amp;ops=4\">"._GRUPPO."</a></b></p></td>\n";
-                }
-                if(($genere>2 or $votog)){ //if(($genere>2 or $tipo_cons==10 or $tipo_cons==11)){
-                        echo "<td bgcolor=\"$bgcolor1\" align=\"center\"><p style=\"margin-left:10px;margin-right:10px;\"><b><a href=\"admin.php?op=voti&amp;id_cons_gen=$id_cons_gen&amp;id_sez=$id_sez&amp;id_circ=$id_circ&amp;id_sede=$id_sede&amp;do=spoglio&amp;ops=3\">"._LISTA."</a></b></p></td>\n";
-                }
-                echo "</tr></table></td></tr></table><hr>\n";
+    $sql="select id_cons,id_sez,id_sede,num_sez, maschi, femmine  from ".$prefix."_ele_sezioni where id_cons='$id_cons' and id_sez='$id_sez'";
+	$result = $dbi->prepare("$sql");
+	$result->execute();
+	list($id_cons2,$id_sez2,$id_sede,$num_sez, $maschi, $femmine) = $result->fetch(PDO::FETCH_NUM);
+	echo "<hr><table><tr><td  width=\"200\"><font size =\"4\" color=\"black\" align=\"left\"><b>Sezione N. $num_sez</b></font></td><td><table><tr>";
+	echo "\n<td bgcolor=\"$bgcolor1\" align=\"center\"><p style=\"margin-left:10px;margin-right:10px;\"><b><a href=\"admin.php?op=voti&amp;id_cons_gen=$id_cons_gen&amp;id_sez=$id_sez&amp;id_circ=$id_circ&amp;id_sede=$id_sede&amp;do=spoglio&amp;ops=1\">"._AFFLUENZE."</a></b></p></td>\n";
+	if(!($genere==4) and !($votog)){ //if(!($genere==4) and !($tipo_cons==10 or $tipo_cons==11)){
+			echo "<td bgcolor=\"$bgcolor1\" align=\"center\"><p style=\"margin-left:10px;margin-right:10px;\"><b><a href=\"admin.php?op=voti&amp;id_cons_gen=$id_cons_gen&amp;id_sez=$id_sez&amp;id_circ=$id_circ&amp;id_sede=$id_sede&amp;do=spoglio&amp;ops=4\">"._GRUPPO."</a></b></p></td>\n";
+	}
+	if($genere==2 and $votog)
+		echo "<td bgcolor=\"$bgcolor1\" align=\"center\"><p style=\"margin-left:10px;margin-right:10px;\"><b><a href=\"admin.php?op=voti&amp;id_cons_gen=$id_cons_gen&amp;id_sez=$id_sez&amp;id_circ=$id_circ&amp;id_sede=$id_sede&amp;do=spoglio&amp;ops=4\">"._GRUPPO."</a></b></p></td>\n";
+	elseif(($genere>2 or $votog)){ //if(($genere>2 or $tipo_cons==10 or $tipo_cons==11)){
+		echo "<td bgcolor=\"$bgcolor1\" align=\"center\"><p style=\"margin-left:10px;margin-right:10px;\"><b><a href=\"admin.php?op=voti&amp;id_cons_gen=$id_cons_gen&amp;id_sez=$id_sez&amp;id_circ=$id_circ&amp;id_sede=$id_sede&amp;do=spoglio&amp;ops=3\">"._LISTA."</a></b></p></td>\n";
+	}
+	echo "</tr></table></td></tr></table><hr>\n";
 
 #############
@@ -322,14 +321,10 @@
 	} else{
 		$sql="SELECT data, orario from ".$prefix."_ele_rilaff where id_cons_gen=$id_cons_gen order by data desc,orario desc limit 0,1";
-$res = $dbi->prepare("$sql");
-$res->execute();
-
-
+		$res = $dbi->prepare("$sql");
+		$res->execute();
 		list($data,$orario)=$res->fetch(PDO::FETCH_NUM);
 		$sql="SELECT voti_complessivi from ".$prefix."_ele_voti_parziale where id_sez='$id_sez' and orario='$orario' and data='$data'";
-$res = $dbi->prepare("$sql");
-$res->execute();
-
-
+		$res = $dbi->prepare("$sql");
+		$res->execute();
         list($voti) = $res->fetch(PDO::FETCH_NUM);
 		if (!$voti) $ops=1;
@@ -337,8 +332,6 @@
 			if($genere<4){
 				$sql="SELECT sum(voti) from ".$prefix."_ele_voti_gruppo where id_sez='$id_sez'";
-$res = $dbi->prepare("$sql");
-$res->execute();
-
-
+				$res = $dbi->prepare("$sql");
+				$res->execute();
         		list($voti) = $res->fetch(PDO::FETCH_NUM);
 				if ($voti==0 or $genere<3) $ops=4;
Index: trunk/admin/versione.php
===================================================================
--- trunk/admin/versione.php	(revision 341)
+++ trunk/admin/versione.php	(revision 342)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 340";
+$versione = "3.0 rev 342";
 $version_number = $versione;
-$datarel = "14 novembre 2020";
+$datarel = "18 novembre 2020";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 
Index: trunk/client/modules/Elezioni/candidato.php
===================================================================
--- trunk/client/modules/Elezioni/candidato.php	(revision 341)
+++ trunk/client/modules/Elezioni/candidato.php	(revision 342)
@@ -136,5 +136,5 @@
    	
 	
-	while(list($id_cand,$id_cons2,$id_lista, $cognome, $nome, $note,, $num_cand) = $result->fetch(PDO::FETCH_NUM)) {
+	while(list($id_cand,$id_cons2,$id_lista, $numlista, $cognome, $nome, $note,, $num_cand) = $result->fetch(PDO::FETCH_NUM)) {
         if ($circo=="1") $circos=" and id_circ='$id_circ'";else $circos='';// per circosc 5-06
         	// dati lista
Index: trunk/client/modules/Elezioni/index.php
===================================================================
--- trunk/client/modules/Elezioni/index.php	(revision 341)
+++ trunk/client/modules/Elezioni/index.php	(revision 342)
@@ -1062,8 +1062,7 @@
 				}
 					if ($votog)
-							$sql="select id_sez from ".$prefix."_ele_voti_candidati where id_lista in (select id_lista from ".$prefix."_ele_lista where id_cons='$id_cons' $sqlcir) group by id_sez ";
+							$sql="select t1.id_sez from ".$prefix."_ele_voti_candidati as t1 left join ".$prefix."_ele_candidati as t2 on t1.id_cand=t2.id_cand where t2.id_lista in (select id_lista from ".$prefix."_ele_lista where id_cons='$id_cons' $sqlcir) group by t1.id_sez ";
 					else
 							$sql="select id_sez from ".$prefix."_ele_voti_lista where id_lista in (select id_lista from ".$prefix."_ele_lista where id_cons='$id_cons' $sqlcir) group by id_sez ";
-
 					$res1 = $dbi->prepare("$sql");
 					$res1->execute();
@@ -1149,5 +1148,5 @@
 // funzione visualizzazione delle liste per camera e senato con raggruppamenti/coalizioni
 function liste(){
-global $id_cons,$id_cons_gen,$prefix,$dbi,$min,$offset,$op,$tipo_cons,$prev,$next,$votog,$votol,$circo,$genere,$id_comune;
+global $id_cons,$id_cons_gen,$prefix,$dbi,$min,$offset,$op,$tipo_cons,$prev,$next,$votog,$votol,$circo,$genere,$id_comune,$id_circ;
 //dati();
 $offset=10;
@@ -1155,17 +1154,19 @@
 
 // numero sezioni scrutinate sul gruppo
-	if ($circo) $circos = "and id_circ=$id_circ" ; else $circos='';
-	if ($genere==0) $tab="ref"; else $tab="gruppo";
-	$sql="select *  from ".$prefix."_ele_voti_".$tab." where id_cons='$id_cons'  $circos group by id_sez ";
-	$res = $dbi->prepare("$sql");
-	$res->execute();
-
+	if ($circo) $circos = "and t2.id_circ=$id_circ" ; else $circos='';
+	if ($genere==0) {
+		$sql="select *  from ".$prefix."_ele_voti_ref where id_cons='$id_cons' group by id_sez ";
+	}else{
+		$sql="select t1.*  from ".$prefix."_ele_voti_gruppo as t1 left join ".$prefix."_ele_gruppo as t2 on t1.id_gruppo=t2.id_gruppo where t2.id_cons='$id_cons'  $circos group by t1.id_sez ";
+	}
+	$res = $dbi->prepare("$sql");
+	$res->execute();
 	$numero=$res->rowCount();
-	$sql="select *  from ".$prefix."_ele_sezioni where id_cons='$id_cons' $circos ";
+	$sql="select t1.*  from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t2.id_cons='$id_cons' $circos ";
 	$res = $dbi->prepare("$sql");
 	$res->execute();
 
 	$sezioni=$res->rowCount();
-	$sql="select chiusa  from ".$prefix."_ele_cons_comune where id_cons='$id_cons' $circos ";
+	$sql="select chiusa  from ".$prefix."_ele_cons_comune where id_cons='$id_cons'";
 	$res = $dbi->prepare("$sql");
 	$res->execute();
@@ -1181,5 +1182,5 @@
 	
 	// tot liste
-		$sql="SELECT *  FROM ".$prefix."_ele_lista where id_cons='$id_cons'  ";
+		$sql="SELECT t2.*  FROM ".$prefix."_ele_lista as t2 where t2.id_cons='$id_cons' $circos ";
 		$res = $dbi->prepare("$sql");
 		$res->execute();
@@ -1194,5 +1195,5 @@
 		list($voti_lista_tutti) = $res_lista_tutti->fetch(PDO::FETCH_NUM);
 		
-		$sql="select id_cons ,id_lista ,id_gruppo, num_lista, descrizione  from ".$prefix."_ele_lista where id_cons='$id_cons'  ORDER BY num_lista  LIMIT $min,$offset";
+		$sql="select id_cons ,id_lista ,id_gruppo, num_lista, descrizione  from ".$prefix."_ele_lista as t2 where id_cons='$id_cons' $circos ORDER BY num_lista  LIMIT $min,$offset";
 		$result = $dbi->prepare("$sql");
 		$result->execute();
Index: trunk/client/modules/Elezioni/menu.php
===================================================================
--- trunk/client/modules/Elezioni/menu.php	(revision 341)
+++ trunk/client/modules/Elezioni/menu.php	(revision 342)
@@ -175,7 +175,6 @@
 		echo "<option value=\"\" >----- "._RISULTATI."</option>"; 
 		$temp = array('gruppo_circo'=>'','gruppo_sezione'=>'','lista_circo'=>'','lista_sezione'=>'','candidato_circo'=>'','candidato_sezione'=>'','consiglieri'=>'');
-		$temp[$op]='selected="selected"';
-		
-		if ($genere!=4) {
+		$temp[$op]='selected="selected"';	
+		if (!$votog) { 
 			if (!$circo and $num_circ>1)
 	 			echo "<option value=\"gruppo_circo\" ".$temp['gruppo_circo'].">".substr(_GRUPPO." "._PER." "._CIRCO,0,33)."</option>";
Index: trunk/client/temi/altro/menu.php
===================================================================
--- trunk/client/temi/altro/menu.php	(revision 341)
+++ trunk/client/temi/altro/menu.php	(revision 342)
@@ -128,5 +128,5 @@
        	 echo " <li class=\"dropdown\"><a href=\"#\"><strong>"._RISULTATI."</strong></a>
 	     <ul class=\"drop-nav\">";
-	  if ($genere!=4) {
+	  if (!$votog) {
 	      if (!$circo and $num_circ>1)
 	      echo "<li class=\"icon candi\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=gruppo_circo\">".substr(_GRUPPO." "._PER." "._CIRCO,0,50)."</a></li>";
@@ -182,6 +182,6 @@
 
 		echo "<li class=\"sep\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_votanti\">"._VOTI."</a><span></span></li>"; 
-#inutile		if($genere!=4 || $tipo_cons==8)
-		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_gruppo\">"._GRUPPO."</a></li>"; 
+		if(!$votog)
+			echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_gruppo\">"._GRUPPO."</a></li>"; 
 		if($hondt==0) $limite=0;
 		if(($genere==3 || $genere==5) and ($fascia>$limite || $limite==0))
Index: trunk/client/temi/blog/menu.php
===================================================================
--- trunk/client/temi/blog/menu.php	(revision 341)
+++ trunk/client/temi/blog/menu.php	(revision 342)
@@ -127,5 +127,5 @@
        	 echo " <li class=\"dropdown\"><a href=\"#\"><strong>"._RISULTATI."</strong></a>
 	     <ul class=\"drop-nav\">";
-	  if ($genere!=4) {
+	  if (!$votog) {
 	      if (!$circo and $num_circ>1)
 	      echo "<li class=\"icon candi\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=gruppo_circo\">".substr(_GRUPPO." "._PER." "._CIRCO,0,50)."</a></li>";
@@ -181,6 +181,6 @@
 
 		echo "<li class=\"sep\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_votanti\">"._VOTI."</a><span></span></li>"; 
-#inutile		if($genere!=4 || $tipo_cons==8)
-		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_gruppo\">"._GRUPPO."</a></li>"; 
+		if (!$votog)
+			echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_gruppo\">"._GRUPPO."</a></li>"; 
 		if($hondt==0) $limite=0;
 		if(($genere==3 || $genere==5) and ($fascia>$limite || $limite==0))
Index: trunk/client/temi/default/menu.php
===================================================================
--- trunk/client/temi/default/menu.php	(revision 341)
+++ trunk/client/temi/default/menu.php	(revision 342)
@@ -128,5 +128,5 @@
        	 echo " <li class=\"dropdown\"><a href=\"#\"><strong>"._RISULTATI."</strong></a>
 	     <ul class=\"drop-nav\">";
-	  if ($genere!=4) {
+	  if (!$votog) {
 	      if (!$circo and $num_circ>1)
 	      echo "<li class=\"icon candi\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=gruppo_circo\">".substr(_GRUPPO." "._PER." "._CIRCO,0,50)."</a></li>";
@@ -182,5 +182,5 @@
 
 		echo "<li class=\"sep\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_votanti\">"._VOTI."</a><span></span></li>"; 
-#inutile		if($genere!=4 || $tipo_cons==8)
+if (!$votog)
 		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_gruppo\">"._GRUPPO."</a></li>"; 
 if(($genere==3 || $genere==5) and ($fascia>$limite || $limite==0))
Index: trunk/client/temi/facebook/menu.php
===================================================================
--- trunk/client/temi/facebook/menu.php	(revision 341)
+++ trunk/client/temi/facebook/menu.php	(revision 342)
@@ -151,5 +151,5 @@
        	 echo " <li><a href=\"#\"><strong>"._RISULTATI."</strong></a>
 	    <ul>";
-	  if ($genere!=4) {
+	  if ($genere!=4 and !votog) {
 	      if (!$circo and $num_circ>1)
 	      echo "<li class=\"icon candi\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=gruppo_circo\">".substr(_GRUPPO." "._PER." "._CIRCO,0,36)."</a></li>";
@@ -204,6 +204,6 @@
 
 		echo "<li class=\"sep\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_votanti\">"._VOTI."</a><span></span></li>"; 
-#inutile		if($genere!=4 || $tipo_cons==8)
-		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_gruppo\">"._GRUPPO."</a></li>"; 
+		if(!$votog)
+			echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_gruppo\">"._GRUPPO."</a></li>"; 
 		if($hondt==0) $limite=0;
 		if(($genere==3 || $genere==5) and ($fascia>$limite || $limite==0))
Index: trunk/client/temi/realistic/menu.php
===================================================================
--- trunk/client/temi/realistic/menu.php	(revision 341)
+++ trunk/client/temi/realistic/menu.php	(revision 342)
@@ -140,5 +140,5 @@
        	 echo " <li><a href=\"#\"><strong>"._RISULTATI."</strong></a>
 	    <ul>";
-	  if ($genere!=4) {
+	  if (!$votog) {
 	      if (!$circo and $num_circ>1)
 	      echo "<li class=\"icon candi\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=gruppo_circo\">".substr(_GRUPPO." "._PER." "._CIRCO,0,50)."</a></li>";
@@ -193,6 +193,6 @@
 
 		echo "<li class=\"sep\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_votanti\">"._VOTI."</a><span></span></li>"; 
-#inutile		if($genere!=4 || $tipo_cons==8)
-		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_gruppo\">"._GRUPPO."</a></li>"; 
+		if (!$votog)
+			echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_gruppo\">"._GRUPPO."</a></li>"; 
 		if($hondt==0) $limite=0;
 		if(($genere==3 || $genere==5) and ($fascia>$limite || $limite==0))
Index: trunk/client/temi/spectral/menu.php
===================================================================
--- trunk/client/temi/spectral/menu.php	(revision 341)
+++ trunk/client/temi/spectral/menu.php	(revision 342)
@@ -140,5 +140,5 @@
        	 echo " <li><a href=\"#\"><strong>"._RISULTATI."</strong></a>
 	    <ul>";
-	  if ($genere!=4) {
+	  if (!$votog) {
 	      if (!$circo and $num_circ>1)
 	      echo "<li class=\"icon candi\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=gruppo_circo\">".substr(_GRUPPO." "._PER." "._CIRCO,0,33)."</a></li>";
@@ -193,6 +193,6 @@
 
 		echo "<li class=\"sep\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_votanti\">"._VOTI."</a><span></span></li>"; 
-#inutile		if($genere!=4 || $tipo_cons==8)
-		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_gruppo\">"._GRUPPO."</a></li>"; 
+		if (!$votog)
+			echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_gruppo\">"._GRUPPO."</a></li>"; 
 		if($hondt==0) $limite=0;
 		if(($genere==3 || $genere==5) and ($fascia>$limite || $limite==0))
Index: trunk/client/temi/stylized/menu.php
===================================================================
--- trunk/client/temi/stylized/menu.php	(revision 341)
+++ trunk/client/temi/stylized/menu.php	(revision 342)
@@ -128,5 +128,5 @@
        	 echo " <li class=\"dropdown\"><a href=\"#\"><strong>"._RISULTATI."</strong></a>
 	     <ul class=\"drop-nav\">";
-	  if ($genere!=4) {
+	  if (!$votog) {
 	      if (!$circo and $num_circ>1)
 	      echo "<li class=\"icon candi\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=gruppo_circo\">".substr(_GRUPPO." "._PER." "._CIRCO,0,33)."</a></li>";
@@ -182,6 +182,6 @@
 
 		echo "<li class=\"sep\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_votanti\">"._VOTI."</a><span></span></li>"; 
-#inutile		if($genere!=4 || $tipo_cons==8)
-		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_gruppo\">"._GRUPPO."</a></li>"; 
+		if (!$votog)
+			echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_gruppo\">"._GRUPPO."</a></li>"; 
 		if($hondt==0) $limite=0;
 		if(($genere==3 || $genere==5) and ($fascia>$limite || $limite==0))
Index: trunk/client/temi/tour/menu.php
===================================================================
--- trunk/client/temi/tour/menu.php	(revision 341)
+++ trunk/client/temi/tour/menu.php	(revision 342)
@@ -127,5 +127,5 @@
        	 echo " <li class=\"dropdown\"><a href=\"#\"><strong>"._RISULTATI."</strong></a>
 	     <ul class=\"drop-nav\">";
-	  if ($genere!=4) {
+	  if (!$votog) {
 	      if (!$circo and $num_circ>1)
 	      echo "<li class=\"icon candi\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=gruppo_circo\">".substr(_GRUPPO." "._PER." "._CIRCO,0,33)."</a></li>";
@@ -181,6 +181,6 @@
 
 		echo "<li class=\"sep\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_votanti\">"._VOTI."</a><span></span></li>"; 
-#inutile		if($genere!=4 || $tipo_cons==8)
-		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_gruppo\">"._GRUPPO."</a></li>"; 
+		if (!$votog)
+			echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_gruppo\">"._GRUPPO."</a></li>"; 
 		if($hondt==0) $limite=0;
 		if(($genere==3 || $genere==5) and ($fascia>$limite || $limite==0))
Index: trunk/client/temi/yellowblu/menu.php
===================================================================
--- trunk/client/temi/yellowblu/menu.php	(revision 341)
+++ trunk/client/temi/yellowblu/menu.php	(revision 342)
@@ -128,5 +128,5 @@
        	 echo " <li class=\"dropdown\"><a href=\"#\"><strong>"._RISULTATI."</strong></a>
 	     <ul class=\"drop-nav\">";
-	  if ($genere!=4) {
+	 if (!$votog) {
 	      if (!$circo and $num_circ>1)
 	      echo "<li class=\"icon candi\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=gruppo_circo\">".substr(_GRUPPO." "._PER." "._CIRCO,0,50)."</a></li>";
@@ -182,6 +182,6 @@
 
 		echo "<li class=\"sep\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_votanti\">"._VOTI."</a><span></span></li>"; 
-#inutile		if($genere!=4 || $tipo_cons==8)
-		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_gruppo\">"._GRUPPO."</a></li>"; 
+		if (!$votog)
+			echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_gruppo\">"._GRUPPO."</a></li>"; 
 		if($hondt==0) $limite=0;
 		if(($genere==3 || $genere==5) and ($fascia>$limite || $limite==0))
Index: trunk/client/versione.php
===================================================================
--- trunk/client/versione.php	(revision 341)
+++ trunk/client/versione.php	(revision 342)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 340";
+$versione = "3.0 rev 342";
 $version_number = $versione;
-$datarel = "14 novembre 2020";
+$datarel = "18 novembre 2020";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 