Index: trunk/client/modules/Elezioni/index.php
===================================================================
--- trunk/client/modules/Elezioni/index.php	(revision 342)
+++ trunk/client/modules/Elezioni/index.php	(revision 343)
@@ -770,86 +770,63 @@
 				."<td class=\"td-5\"><b>"._SIMBOLO."</b></td>
 				</tr>";
-			
-			
-			if ($genere>0){ // no referendum 
-				if (!$votog){ // no camere e senato per coalizioni 
-					$sql="select sum(voti)  from ".$prefix."_ele_voti_gruppo  where id_cons='$id_cons' and id_gruppo='$id_gruppo2'";
-				}else{ // sommatoria voti lista per coalizione per camere e senato
-					$sql="select sum(t1.voti)  from ".$prefix."_ele_voti_lista as t1 , ".$prefix."_ele_lista as t2 where t1.id_lista=t2.id_lista and t1.id_cons='$id_cons' and t2.id_gruppo='$id_gruppo2'";
+				if ($genere>0){ // no referendum 
+					if (!$votog){ // no camere e senato per coalizioni 
+						$sql="select sum(voti)  from ".$prefix."_ele_voti_gruppo  where id_cons='$id_cons' and id_gruppo='$id_gruppo2'";
+					}else{ // sommatoria voti lista per coalizione per camere e senato
+						$sql="select sum(t1.voti)  from ".$prefix."_ele_voti_lista as t1 , ".$prefix."_ele_lista as t2 where t1.id_lista=t2.id_lista and t1.id_cons='$id_cons' and t2.id_gruppo='$id_gruppo2'";
+					}
+					$res_presidente = $dbi->prepare("$sql");
+					$res_presidente->execute();
+					list($voti_pres) = $res_presidente->fetch(PDO::FETCH_NUM);					
+					if ($voti_pres_tutti!=0){
+						$perc_pres=number_format($arperc[$id_gruppo2],2); 
+						$var1="<h2>voti: $voti_pres <span class=\"redbig\"> $perc_pres </span>%</h2>";	
+					}else {$var1="";}
+				}else{ //referendum
+					$sql="select sum(si),sum(no),sum(validi),sum(bianchi),sum(nulli),sum(contestati)   from ".$prefix."_ele_voti_ref where id_cons='$id_cons' and id_gruppo='$id_gruppo2'";
+					$res_ref = $dbi->prepare("$sql");
+					$res_ref->execute();
+					list($voti_si,$voti_no,$validi,$bianchi,$nulli,$conte) = $res_ref->fetch(PDO::FETCH_NUM);
+					$sql="select t3.orario,t3.data from ".$prefix."_ele_rilaff as t1 left join ".$prefix."_ele_cons_comune as t2 on t1.id_cons_gen=t2.id_cons_gen left join ".$prefix."_ele_voti_parziale as t3 on t2.id_cons=t3.id_cons where t1.id_cons_gen='$id_cons_gen' and t2.id_cons='$id_cons' order by t3.data desc, t3.orario desc limit 0,1";
+					$aff = $dbi->prepare("$sql");
+					$aff->execute();
+					list($ora,$data) = $aff->fetch(PDO::FETCH_NUM);					
+					$sql="select sum(voti_complessivi) from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' and orario='$ora' and data='$data' and id_gruppo='$id_gruppo2'";
+					$tot_rel = $dbi->prepare("$sql");
+					$tot_rel->execute();
+					list($tot_relativo) = $tot_rel->fetch(PDO::FETCH_NUM);					
+					// totale assoluto
+					$sql="select sum(maschi+femmine) from ".$prefix."_ele_sezioni where id_cons='$id_cons'";
+					$tot_ass = $dbi->prepare("$sql");
+					$tot_ass->execute();
+
+					list($tot_assoluto) = $tot_ass->fetch(PDO::FETCH_NUM);
+					  // controlli del 15 giugno 2009 
+					if($tot_assoluto)
+						  $perc_tot=number_format(($tot_relativo*100)/$tot_assoluto,2);
+						  else $perc_tot=0;
+					
+					$tot_ref=0;$tot_ref=$voti_si+$voti_no;
+					if($tot_ref){
+					$perc_si=number_format(($voti_si*100)/$tot_ref,2);
+					$perc_no=number_format(($voti_no*100)/$tot_ref,2);
+					}else{ $perc_si=0;$perc_no=0;}
+					$var1="<table class=\"table-80\" style=\"text-align: center;\">";				
+					if($ora){	
+						list ($ore,$minuti,$secondi)=explode(':',$ora);
+						$var1.=	"<tr>
+							<td class=\"redbig\">
+						<h2>"._PERC_ASS." $ore,$minuti:<span class=\"redbig\"> $perc_tot% </span></h2></td>
+							</tr>";
+					}				
+					$var1 .="<tr>
+						<td><h1>SI: $voti_si <span class=\"redbig\"> $perc_si </span>%</h1></td>
+						</tr>
+						<tr>
+						<td><h1>NO: $voti_no<span class=\"redbig\"> $perc_no </span>% 
+					</h1></td>
+						</tr>
+					</table>";				
 				}
-				$res_presidente = $dbi->prepare("$sql");
-				$res_presidente->execute();
-				list($voti_pres) = $res_presidente->fetch(PDO::FETCH_NUM);
-				
-				if ($voti_pres_tutti!=0){
-					$perc_pres=number_format($arperc[$id_gruppo2],2); 
-					$var1="<h2>voti: $voti_pres <span class=\"redbig\"> $perc_pres </span>%</h2>";	
-				}else {$var1="";}
-				
-			
-			
-			}else{ //referendum
-				$sql="select sum(si),sum(no),sum(validi),sum(bianchi),sum(nulli),sum(contestati)   from ".$prefix."_ele_voti_ref where id_cons='$id_cons' and id_gruppo='$id_gruppo2'";
-				$res_ref = $dbi->prepare("$sql");
-				$res_ref->execute();
-
-		 		list($voti_si,$voti_no,$validi,$bianchi,$nulli,$conte) = $res_ref->fetch(PDO::FETCH_NUM);
-				
-				
-				$sql="select t3.orario,t3.data from ".$prefix."_ele_rilaff as t1 left join ".$prefix."_ele_cons_comune as t2 on t1.id_cons_gen=t2.id_cons_gen left join ".$prefix."_ele_voti_parziale as t3 on t2.id_cons=t3.id_cons where t1.id_cons_gen='$id_cons_gen' and t2.id_cons='$id_cons' order by t3.data desc, t3.orario desc limit 0,1";
-				$aff = $dbi->prepare("$sql");
-				$aff->execute();
-
-				list($ora,$data) = $aff->fetch(PDO::FETCH_NUM);
-				
-				$sql="select sum(voti_complessivi) from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' and orario='$ora' and data='$data' and id_gruppo='$id_gruppo2'";
-				$tot_rel = $dbi->prepare("$sql");
-				$tot_rel->execute();
-
-				list($tot_relativo) = $tot_rel->fetch(PDO::FETCH_NUM);
-				
-				
-				// totale assoluto
-				$sql="select sum(maschi+femmine) from ".$prefix."_ele_sezioni where id_cons='$id_cons'";
-				$tot_ass = $dbi->prepare("$sql");
-				$tot_ass->execute();
-
-				list($tot_assoluto) = $tot_ass->fetch(PDO::FETCH_NUM);
-				  // controlli del 15 giugno 2009 
-				if($tot_assoluto)
-				      $perc_tot=number_format(($tot_relativo*100)/$tot_assoluto,2);
-				      else $perc_tot=0;
-				
-				$tot_ref=0;$tot_ref=$voti_si+$voti_no;
-				if($tot_ref){
-				$perc_si=number_format(($voti_si*100)/$tot_ref,2);
-				$perc_no=number_format(($voti_no*100)/$tot_ref,2);
-				}else{ $perc_si=0;$perc_no=0;}
-
-				$var1="<table class=\"table-80\" style=\"text-align: center;\">";
-				
-			if($ora){	
-				list ($ore,$minuti,$secondi)=explode(':',$ora);
-				$var1.=	"<tr>
-					<td class=\"redbig\">
-				<h2>"._PERC_ASS." $ore,$minuti:<span class=\"redbig\"> $perc_tot% </span></h2></td>
-					</tr>";
-				}
-				
-				$var1 .="<tr>
-					<td><h1>SI: $voti_si <span class=\"redbig\"> $perc_si </span>%</h1></td>
-					</tr>
-					<tr>
-					<td><h1>NO: $voti_no<span class=\"redbig\"> $perc_no </span>% 
-				</h1></td>
-					</tr>
-				</table>";
-				
-			}
-			
-			
-			
-			
-			
 			echo "<tr>
 			<td class=\"bggray\"><h1><b>$num_gruppo</b></h1></td>
@@ -862,7 +839,5 @@
 			echo "</b></td>";
 			echo "</tr>
-			</table>";
-			
-			
+			</table>";			
 			//Liste collegate
 #			if ($numero!=0 and !$votol and $genere>1) 
@@ -873,88 +848,56 @@
 #			else
 #			    if(!$circo and $votog) // non per le circoscrizionali, senato e camera
-#			      echo "<div><h6>"._SEZSCRU." $numero_c "._SU." $sezioni_l</h6></div>";
-			
-			
+#			      echo "<div><h6>"._SEZSCRU." $numero_c "._SU." $sezioni_l</h6></div>";			
 			echo "<table class=\"table-80\"><tr>";
 			$sql="select id_cons ,id_lista ,num_lista, descrizione  from ".$prefix."_ele_lista where id_cons='$id_cons' and id_gruppo='$id_gruppo2'  ORDER BY num_lista " ;
 			$result2 = $dbi->prepare("$sql");
 			$result2->execute();
-
 			$i=0;
 			while(list($id_cons2,$id_lista2,$num_lista, $descr_lista) = $result2->fetch(PDO::FETCH_NUM)) {
-  				if ($num_lista!=0) {
-			
-				$sql="select sum(voti)  from ".$prefix."_ele_voti_lista where id_cons='$id_cons' and id_lista='$id_lista2'";
-	$res_lista = $dbi->prepare("$sql");
-	$res_lista->execute();
-
-		 		list($voti_lista) = $res_lista->fetch(PDO::FETCH_NUM);
-			
+  				if ($num_lista!=0) {			
+					$sql="select sum(voti)  from ".$prefix."_ele_voti_lista where id_cons='$id_cons' and id_lista='$id_lista2'";
+					$res_lista = $dbi->prepare("$sql");
+					$res_lista->execute();
+					list($voti_lista) = $res_lista->fetch(PDO::FETCH_NUM);				
+// calcolo della percentuale
+					if ($circo){ // circoscrizioni
+						$voti_lista_tutti=0;					
+						$sql="select id_lista from ".$prefix."_ele_lista where id_circ='$id_circ'";
+						$res_circ = $dbi->prepare("$sql");
+						$res_circ->execute();
+						while(list($lista_id) = $res_circ->fetch(PDO::FETCH_NUM)){
+							$sql="select sum(voti)  from ".$prefix."_ele_voti_lista where id_lista='$lista_id'";
+							$res_circ_voti = $dbi->prepare("$sql");
+							$res_circ_voti->execute();
+							list($voti) = $res_circ_voti->fetch(PDO::FETCH_NUM);
+							$voti_lista_tutti=$voti_lista_tutti+$voti;	
+						}					
+					}else{
 				
-			        // calcolo della percentuale
-				if ($circo){ // circoscrizioni
-					$voti_lista_tutti='';
-					
-					$sql="select id_lista from ".$prefix."_ele_lista where id_circ='$id_circ'";
-	$res_circ = $dbi->prepare("$sql");
-	$res_circ->execute();
-
-		 			while(list($lista_id) = $res_circ->fetch(PDO::FETCH_NUM)){
-					
-					  $sql="select sum(voti)  from ".$prefix."_ele_voti_lista where id_lista='$lista_id'";
-	$res_circ_voti = $dbi->prepare("$sql");
-	$res_circ_voti->execute();
-
-					  list($voti) = $res_circ_voti->fetch(PDO::FETCH_NUM);
-					 $voti_lista_tutti=$voti_lista_tutti+$voti;
-					  //	
+// tutti 
+						$sql="select sum(voti)  from ".$prefix."_ele_voti_lista where id_cons='$id_cons'";
+						$res_lista_tutti = $dbi->prepare("$sql");
+						$res_lista_tutti->execute();
+						list($voti_lista_tutti) = $res_lista_tutti->fetch(PDO::FETCH_NUM);
 					}
-					
-				}else{
-				
-				// tutti 
-					$sql="select sum(voti)  from ".$prefix."_ele_voti_lista where id_cons='$id_cons'";
-	$res_lista_tutti = $dbi->prepare("$sql");
-	$res_lista_tutti->execute();
-
-					list($voti_lista_tutti) = $res_lista_tutti->fetch(PDO::FETCH_NUM);
-				}
-				
-				
-				
-				if($voti_lista_tutti!=0){
-					$perc_lista=number_format(($voti_lista*100)/$voti_lista_tutti,5); 
-					$perc_lista=number_format($perc_lista,3);// add luc 11 feb 2007
-				}else{ 
-					$perc_lista='';
-				}
-				
-				
-				
-					
-				$i++;
-				echo "<td class=\"table-main\"><a href=\"modules.php?name=Elezioni&amp;id_gruppo=$id_gruppo2&amp;id_circ=$id_circ&amp;id_cons_gen=$id_cons_gen&amp;id_lista=$id_lista2&amp;op=partiti&amp;voti_lista=$voti_lista&amp;perc_lista=$perc_lista&amp;id_comune=$id_comune\">
-				<img class=\"stemma\" src=\"modules.php?name=Elezioni&amp;file=foto&amp;id_lista=$id_lista2\"  alt=\"\" /><br />N. $num_lista  $descr_lista";
-				
-				if ($voti_lista) echo "<br />voti: $voti_lista ";
-				// tolta momentaneamnete per le circ
-				if ($perc_lista) echo "<span class=\"red\"> $perc_lista </span>%";
-				
-				echo "</a></td>";
-				}
-				if (($i%3) ==0) echo "</tr><tr>";
-			}
-			
-			if (($i%3) !=0)echo "</tr></table>";else echo "<td></td></tr></table>";
-					
+					if($voti_lista_tutti!=0){
+						$perc_lista=number_format(($voti_lista*100)/$voti_lista_tutti,5); 
+						$perc_lista=number_format($perc_lista,3);// add luc 11 feb 2007
+					}else{ 
+						$perc_lista='';
+					}
+					$i++;
+					echo "<td class=\"table-main\"><a href=\"modules.php?name=Elezioni&amp;id_gruppo=$id_gruppo2&amp;id_circ=$id_circ&amp;id_cons_gen=$id_cons_gen&amp;id_lista=$id_lista2&amp;op=partiti&amp;voti_lista=$voti_lista&amp;perc_lista=$perc_lista&amp;id_comune=$id_comune\">
+					<img class=\"stemma\" src=\"modules.php?name=Elezioni&amp;file=foto&amp;id_lista=$id_lista2\"  alt=\"\" /><br />N. $num_lista  $descr_lista";				
+					if ($voti_lista) echo "<br />voti: $voti_lista ";
+					if ($perc_lista) echo "<span class=\"red\"> $perc_lista </span>%";					
+					echo "</a></td>";
+					}
+					if (($i%3) ==0) echo "</tr><tr>";
+				}				
+				if (($i%3) !=0)echo "</tr></table>";else echo "<td></td></tr></table>";					
 		    }
 	    }	
-	echo "";
-	
-	
-	
-	
-	
-	
+		echo "";
 	}else{
 		// tot liste
@@ -962,32 +905,27 @@
 		$res = $dbi->prepare("$sql");
 		$res->execute();
-
-    		$max = $res->rowCount();
-		
+    	$max = $res->rowCount();		
 		// tot voti liste
 		if($circo) $sql="select sum(t1.voti)  from ".$prefix."_ele_voti_lista as t1, ".$prefix."_ele_lista as t2 where t1.id_lista=t2.id_lista and t1.id_cons='$id_cons' and t2.id_circ='$id_circ'";
 		else $sql="select sum(voti)  from ".$prefix."_ele_voti_lista where id_cons='$id_cons'";
 		$res_lista_tutti = $dbi->prepare("$sql");
-		$res_lista_tutti->execute();
-		
-		list($voti_lista_tutti) = $res_lista_tutti->fetch(PDO::FETCH_NUM);
-		
+		$res_lista_tutti->execute();		
+		list($voti_lista_tutti) = $res_lista_tutti->fetch(PDO::FETCH_NUM);		
 		$sql="select id_cons ,id_lista ,num_lista, descrizione  from ".$prefix."_ele_lista where id_cons='$id_cons' $circos ORDER BY num_lista  LIMIT $min,$offset";
 		$result = $dbi->prepare("$sql");
 		$result->execute();
-
 		while(list($id_cons2,$id_lista,$num_lista, $descr_lista) = $result->fetch(PDO::FETCH_NUM)) {
-  		if ($num_lista!=0) {
-		// voti lista
-		$sql="select sum(voti)  from ".$prefix."_ele_voti_lista where id_cons='$id_cons' and id_lista='$id_lista'";
-		$res_lista = $dbi->prepare("$sql");
-		$res_lista->execute();
-
-		list($voti_lista) = $res_lista->fetch(PDO::FETCH_NUM);
-		if($voti_lista_tutti)
-			$perc_lista=number_format(($voti_lista*100)/$voti_lista_tutti,5);
-		else $perc_lista=0;
-		$perc_lista=number_format($perc_lista,2);
-		echo "<table  class=\"table-80\">
+			if ($num_lista!=0) {
+				// voti lista
+				$sql="select sum(voti)  from ".$prefix."_ele_voti_lista where id_cons='$id_cons' and id_lista='$id_lista'";
+				$res_lista = $dbi->prepare("$sql");
+				$res_lista->execute();
+
+				list($voti_lista) = $res_lista->fetch(PDO::FETCH_NUM);
+				if($voti_lista_tutti)
+					$perc_lista=number_format(($voti_lista*100)/$voti_lista_tutti,5);
+				else $perc_lista=0;
+				$perc_lista=number_format($perc_lista,2);
+				echo "<table  class=\"table-80\">
 				<tr>"
 				."<td class=\"td-5\"><b>"._NUM."</b></td>"
@@ -995,21 +933,19 @@
 				."<td class=\"td-5\"><b>"._SIMBOLO."</b></td>
 				</tr>";
-			echo "<tr><td class=\"bggray\"><h1><b>$num_lista</b></h1></td>
-			<td class=\"table-main\"><a href=\"modules.php?name=Elezioni&amp;id_cons_gen=$id_cons_gen&amp;id_lista=$id_lista&amp;op=partiti&amp;voti_lista=$voti_lista&amp;perc_lista=$perc_lista&amp;id_comune=$id_comune\"><h1>$descr_lista<br /></a>
-			voti: $voti_lista <span class=\"redbig\">$perc_lista %</span></h1>";
-			echo "</td><td><a href=\"modules.php?name=Elezioni&amp;id_cons_gen=$id_cons_gen&amp;id_lista=$id_lista&amp;op=partiti&amp;voti_lista=$voti_lista&amp;perc_lista=$perc_lista&amp;id_comune=$id_comune\">
-			<img class=\"stemma\" src=\"modules.php?name=Elezioni&amp;file=foto&amp;id_lista=$id_lista\"  alt=\"$descr_lista\" /></a>";
-			echo "</td></tr></table>";
+				echo "<tr><td class=\"bggray\"><h1><b>$num_lista</b></h1></td>
+				<td class=\"table-main\"><a href=\"modules.php?name=Elezioni&amp;id_cons_gen=$id_cons_gen&amp;id_lista=$id_lista&amp;op=partiti&amp;voti_lista=$voti_lista&amp;perc_lista=$perc_lista&amp;id_comune=$id_comune\"><h1>$descr_lista<br /></a>
+				voti: $voti_lista <span class=\"redbig\">$perc_lista %</span></h1>";
+				echo "</td><td><a href=\"modules.php?name=Elezioni&amp;id_cons_gen=$id_cons_gen&amp;id_lista=$id_lista&amp;op=partiti&amp;voti_lista=$voti_lista&amp;perc_lista=$perc_lista&amp;id_comune=$id_comune\">
+				<img class=\"stemma\" src=\"modules.php?name=Elezioni&amp;file=foto&amp;id_lista=$id_lista\"  alt=\"$descr_lista\" /></a>";
+				echo "</td></tr></table>";
+			}
 		}
-	}
     //echo "</table>";
     }
-    
-    
-
-      page($id_cons_gen,$go,$max,$min,$prev,$next,$offset,$file);
-
+    page($id_cons_gen,$go,$max,$min,$prev,$next,$offset,$file);
 //CloseTable();
 }
+
+
 
 function partiti(){
@@ -1378,5 +1314,6 @@
    case "graf_candidato":
    include("grafici.php");
-   if (!$circo)graf_candidato();
+#   if (!$circo)graf_candidato();
+   graf_candidato();
    break;
 